/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPERF_LEADER_BPF_SKEL_H__
#define __BPERF_LEADER_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bperf_leader_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *events;
		struct bpf_map *prev_readings;
		struct bpf_map *diff_readings;
	} maps;
	struct {
		struct bpf_program *on_switch;
	} progs;
	struct {
		struct bpf_link *on_switch;
	} links;

#ifdef __cplusplus
	static inline struct bperf_leader_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bperf_leader_bpf *open_and_load();
	static inline int load(struct bperf_leader_bpf *skel);
	static inline int attach(struct bperf_leader_bpf *skel);
	static inline void detach(struct bperf_leader_bpf *skel);
	static inline void destroy(struct bperf_leader_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bperf_leader_bpf__destroy(struct bperf_leader_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bperf_leader_bpf__create_skeleton(struct bperf_leader_bpf *obj);

static inline struct bperf_leader_bpf *
bperf_leader_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bperf_leader_bpf *obj;
	int err;

	obj = (struct bperf_leader_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bperf_leader_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bperf_leader_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bperf_leader_bpf *
bperf_leader_bpf__open(void)
{
	return bperf_leader_bpf__open_opts(NULL);
}

static inline int
bperf_leader_bpf__load(struct bperf_leader_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bperf_leader_bpf *
bperf_leader_bpf__open_and_load(void)
{
	struct bperf_leader_bpf *obj;
	int err;

	obj = bperf_leader_bpf__open();
	if (!obj)
		return NULL;
	err = bperf_leader_bpf__load(obj);
	if (err) {
		bperf_leader_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bperf_leader_bpf__attach(struct bperf_leader_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bperf_leader_bpf__detach(struct bperf_leader_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bperf_leader_bpf__elf_bytes(size_t *sz);

static inline int
bperf_leader_bpf__create_skeleton(struct bperf_leader_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bperf_leader_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "events";
	s->maps[0].map = &obj->maps.events;

	s->maps[1].name = "prev_readings";
	s->maps[1].map = &obj->maps.prev_readings;

	s->maps[2].name = "diff_readings";
	s->maps[2].map = &obj->maps.diff_readings;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "on_switch";
	s->progs[0].prog = &obj->progs.on_switch;
	s->progs[0].link = &obj->links.on_switch;

	s->data = bperf_leader_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bperf_leader_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x10\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\x85\0\0\0\0\0\0\x08\xbf\x80\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\
\xe4\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe4\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\x60\0\x23\0\0\0\
\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe4\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\x15\x70\0\x1c\0\0\0\0\x67\x80\
\0\0\0\0\0\x20\x77\x80\0\0\0\0\0\x20\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\
\xff\xe8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x28\0\0\0\0\0\0\xb7\x40\0\0\0\
\0\0\x18\x85\0\0\0\0\0\0\x37\x55\0\0\x12\0\0\0\0\x79\x16\0\0\0\0\0\0\x79\x2a\
\xff\xe8\0\0\0\0\x1f\x21\0\0\0\0\0\0\x7b\x72\0\0\0\0\0\0\x79\x16\0\x08\0\0\0\0\
\x79\x2a\xff\xf0\0\0\0\0\x1f\x21\0\0\0\0\0\0\x7b\x72\0\x08\0\0\0\0\x79\x16\0\
\x10\0\0\0\0\x79\x2a\xff\xf8\0\0\0\0\x1f\x21\0\0\0\0\0\0\x7b\x72\0\x10\0\0\0\0\
\x79\x1a\xff\xf8\0\0\0\0\x7b\x61\0\x10\0\0\0\0\x79\x1a\xff\xf0\0\0\0\0\x7b\x61\
\0\x08\0\0\0\0\x79\x1a\xff\xe8\0\0\0\0\x7b\x61\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x44\x75\x61\x6c\x20\x42\x53\x44\x2f\x47\x50\x4c\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\x01\x70\0\x01\
\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\x01\x70\0\
\x01\x57\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\x01\x70\
\0\x01\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\
\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\
\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\
\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\
\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\
\x38\x0b\0\0\x09\x0f\0\x49\x13\0\0\x0a\x21\0\x49\x13\x37\x05\0\0\x0b\x34\0\x03\
\x0e\x49\x13\x3a\x0b\x3b\x0b\x1c\x0f\0\0\x0c\x15\0\x49\x13\x27\x19\0\0\x0d\x16\
\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0e\x15\x01\x49\x13\x27\x19\0\0\x0f\x05\
\0\x49\x13\0\0\x10\x0f\0\0\0\x11\x26\0\0\0\x12\x34\0\x03\x0e\x49\x13\x3a\x0b\
\x3b\x05\x1c\x0f\0\0\x13\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x14\x0d\0\
\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x15\x2e\x01\x03\x0e\x3a\x0b\x3b\
\x0b\x27\x19\x49\x13\x20\x0b\0\0\x16\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x17\x34\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x18\x2e\x01\x11\x01\x12\x06\x40\
\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x19\x1d\
\x01\x31\x13\x11\x01\x12\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x1a\x34\0\x02\x18\x31\
\x13\0\0\x1b\x34\0\x02\x17\x31\x13\0\0\0\0\0\x03\x20\0\x04\0\0\0\0\x08\x01\0\0\
\0\0\0\x1d\0\0\0\x2b\0\0\0\0\0\0\0\x4c\0\0\0\0\0\0\0\0\0\0\x01\x80\x02\0\0\0\
\x9e\0\0\0\x3f\x01\x37\x09\x03\0\0\0\0\0\0\0\0\x03\0\0\0\x4b\x04\0\0\0\x52\x0d\
\0\x05\0\0\0\xa6\x06\x01\x06\0\0\0\xab\x08\x07\x02\0\0\0\xbf\0\0\0\x6e\x01\x0c\
\x09\x03\0\0\0\0\0\0\0\0\x07\x20\x01\x07\x08\0\0\0\xc6\0\0\0\xa3\x01\x08\0\x08\
\0\0\0\xcf\0\0\0\xa3\x01\x09\x08\x08\0\0\0\xd8\0\0\0\xa3\x01\x0a\x10\x08\0\0\0\
\xe3\0\0\0\xbb\x01\x0b\x18\0\x09\0\0\0\xa8\x03\0\0\0\xb4\x04\0\0\0\x52\x04\0\
\x05\0\0\0\xcb\x05\x04\x09\0\0\0\xc0\x03\0\0\0\xb4\x0a\0\0\0\x52\x08\0\0\x02\0\
\0\0\xed\0\0\0\xe2\x01\x13\x09\x03\0\0\0\0\0\0\0\0\x07\x20\x01\x0e\x08\0\0\0\
\xc6\0\0\x01\x17\x01\x0f\0\x08\0\0\0\xcf\0\0\0\xa3\x01\x10\x08\x08\0\0\0\xd8\0\
\0\x01\x28\x01\x11\x10\x08\0\0\0\xfb\0\0\x01\x39\x01\x12\x18\0\x09\0\0\x01\x1c\
\x03\0\0\0\xb4\x04\0\0\0\x52\x06\0\x09\0\0\x01\x2d\x03\0\0\0\xb4\x04\0\0\0\x52\
\x18\0\x09\0\0\x01\x3e\x03\0\0\0\xb4\x04\0\0\0\x52\x01\0\x02\0\0\x01\x07\0\0\
\x01\x5f\x01\x1a\x09\x03\0\0\0\0\0\0\0\0\x07\x20\x01\x15\x08\0\0\0\xc6\0\0\x01\
\x17\x01\x16\0\x08\0\0\0\xcf\0\0\0\xa3\x01\x17\x08\x08\0\0\0\xd8\0\0\x01\x28\
\x01\x18\x10\x08\0\0\0\xfb\0\0\x01\x39\x01\x19\x18\0\x0b\0\0\x01\x15\0\0\x01\
\xa0\x03\xce\x08\x09\0\0\x01\xa5\x0c\0\0\x01\xaa\x0d\0\0\x01\xb5\0\0\x01\x3b\
\x02\x1b\x05\0\0\x01\x2e\x07\x04\x0b\0\0\x01\x41\0\0\x01\xc8\x03\x38\x01\x09\0\
\0\x01\xcd\x0e\0\0\x01\xdd\x0f\0\0\x01\xdd\x0f\0\0\x01\xde\0\x10\x09\0\0\x01\
\xe3\x11\x12\0\0\x01\x55\0\0\x01\xf1\x03\x05\xaa\x37\x09\0\0\x01\xf6\x0e\0\0\
\x02\x10\x0f\0\0\x01\xdd\x0f\0\0\x02\x17\x0f\0\0\x02\x29\x0f\0\0\x01\xaa\0\x05\
\0\0\x01\x6f\x05\x08\x0d\0\0\x02\x22\0\0\x01\x87\x02\x1f\x05\0\0\x01\x74\x07\
\x08\x09\0\0\x02\x2e\x13\0\0\x01\xa5\x18\x04\x1b\x36\x14\0\0\x01\x8d\0\0\x02\
\x17\x04\x1b\x37\0\x14\0\0\x01\x95\0\0\x02\x17\x04\x1b\x38\x08\x14\0\0\x01\x9d\
\0\0\x02\x17\x04\x1b\x39\x10\0\x15\0\0\x01\xba\x01\x1d\0\0\0\xb4\x01\x16\0\0\
\x01\xc8\x01\x1d\0\0\x02\xb9\x17\0\0\x01\xcc\x01\x21\0\0\x01\xaa\x17\0\0\x01\
\xd1\x01\x1f\0\0\x02\x2e\x17\0\0\x01\xd5\x01\x1f\0\0\x02\x29\x17\0\0\x01\xde\
\x01\x1f\0\0\x02\x29\x17\0\0\x01\xe7\x01\x22\0\0\x02\x10\x17\0\0\x01\xeb\x01\
\x20\0\0\x01\xaa\0\x09\0\0\x02\x22\x18\0\0\0\0\0\0\0\0\0\0\x01\x80\x01\x5a\0\0\
\x01\xef\x01\x1d\0\0\0\xb4\x16\0\0\x01\xc8\x01\x1d\0\0\x02\xb9\x19\0\0\x02\x5f\
\0\0\0\0\0\0\0\0\0\0\x01\x70\x01\x1d\x05\x1a\x02\x91\x04\0\0\x02\x76\x1a\x02\
\x91\x08\0\0\x02\x81\x1b\0\0\0\0\0\0\x02\x8c\x1b\0\0\0\x23\0\0\x02\x97\x1b\0\0\
\0\x46\0\0\x02\xa2\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\
\x20\x31\x38\x2e\x31\x2e\x38\x20\x28\x43\x65\x6e\x74\x4f\x53\x20\x31\x38\x2e\
\x31\x2e\x38\x2d\x33\x2e\x65\x6c\x39\x29\0\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\
\x73\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x6c\x65\x61\x64\x65\x72\x2e\x62\
\x70\x66\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x4c\x49\x43\x45\x4e\x53\x45\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x65\x76\x65\x6e\x74\x73\0\x74\x79\x70\x65\0\x69\x6e\x74\0\x6b\x65\
\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\
\x70\x5f\x66\x6c\x61\x67\x73\0\x70\x72\x65\x76\x5f\x72\x65\x61\x64\x69\x6e\x67\
\x73\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x64\x69\x66\x66\x5f\x72\
\x65\x61\x64\x69\x6e\x67\x73\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\
\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\0\x62\x70\x66\x5f\x70\x65\x72\x66\
\x5f\x65\x76\x65\x6e\x74\x5f\x72\x65\x61\x64\x5f\x76\x61\x6c\x75\x65\0\x6c\x6f\
\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x5f\x5f\x75\x36\x34\0\x63\x6f\x75\x6e\x74\x65\x72\0\x65\x6e\x61\x62\x6c\
\x65\x64\0\x72\x75\x6e\x6e\x69\x6e\x67\0\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\
\x65\x76\x65\x6e\x74\x5f\x76\x61\x6c\x75\x65\0\x5f\x5f\x5f\x5f\x6f\x6e\x5f\x73\
\x77\x69\x74\x63\x68\0\x63\x74\x78\0\x7a\x65\x72\x6f\0\x76\x61\x6c\0\x70\x72\
\x65\x76\x5f\x76\x61\x6c\0\x64\x69\x66\x66\x5f\x76\x61\x6c\0\x65\x72\x72\0\x6b\
\x65\x79\0\x6f\x6e\x5f\x73\x77\x69\x74\x63\x68\0\0\0\0\xeb\x9f\x01\0\0\0\0\x18\
\0\0\0\0\0\0\x02\x74\0\0\x02\x74\0\0\x03\x11\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\
\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x04\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\
\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x08\0\0\0\0\0\x04\0\0\
\x04\0\0\0\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\
\x27\0\0\0\x01\0\0\0\x80\0\0\0\x32\0\0\0\x05\0\0\0\xc0\0\0\0\x3c\x0e\0\0\0\0\0\
\0\x07\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x06\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\0\0\0\x02\0\0\0\0\0\0\x0e\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\
\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x27\0\0\0\x0b\0\0\0\x80\0\
\0\0\x43\0\0\0\x0d\0\0\0\xc0\0\0\0\x4f\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\
\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\
\x40\0\0\0\x27\0\0\0\x0b\0\0\0\x80\0\0\0\x43\0\0\0\x0d\0\0\0\xc0\0\0\0\x5d\x0e\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x14\0\0\0\x6b\x01\0\0\0\0\0\
\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x7e\0\0\0\x13\0\0\0\x82\
\x0c\0\0\x01\0\0\0\x15\0\0\x02\xf6\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x04\0\0\0\x0d\0\0\x02\xfb\x0e\0\0\0\0\0\0\x18\0\
\0\0\x01\0\0\x03\x03\x0f\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\x10\
\0\0\0\0\0\0\0\x20\0\0\0\x12\0\0\0\0\0\0\0\x20\0\0\x03\x09\x0f\0\0\x01\0\0\0\0\
\0\0\0\x19\0\0\0\0\0\0\0\x0d\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\
\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x70\
\x5f\x66\x6c\x61\x67\x73\0\x65\x76\x65\x6e\x74\x73\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x70\x72\x65\x76\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\
\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x6f\x6e\x5f\
\x73\x77\x69\x74\x63\x68\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x63\x68\x65\x64\x5f\
\x73\x77\x69\x74\x63\x68\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\x2f\x75\x74\x69\x6c\x2f\x62\x70\
\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x6c\x65\x61\x64\x65\x72\
\x2e\x62\x70\x66\x2e\x63\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\
\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x5f\x5f\x75\x33\x32\x20\x7a\x65\x72\x6f\
\x20\x3d\x20\x30\x3b\0\x09\x70\x72\x65\x76\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\
\x70\x72\x65\x76\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\x2c\x20\x26\x7a\x65\x72\
\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x72\x65\x76\x5f\x76\x61\x6c\x29\0\
\x09\x64\x69\x66\x66\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x64\x69\x66\x66\x5f\
\x72\x65\x61\x64\x69\x6e\x67\x73\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x64\x69\x66\x66\x5f\x76\x61\x6c\x29\0\x09\x65\x72\x72\x20\x3d\
\x20\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x72\x65\x61\
\x64\x5f\x76\x61\x6c\x75\x65\x28\x26\x65\x76\x65\x6e\x74\x73\x2c\x20\x6b\x65\
\x79\x2c\x20\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\
\x29\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\x29\0\x09\x64\x69\x66\x66\x5f\
\x76\x61\x6c\x2d\x3e\x63\x6f\x75\x6e\x74\x65\x72\x20\x3d\x20\x76\x61\x6c\x2e\
\x63\x6f\x75\x6e\x74\x65\x72\x20\x2d\x20\x70\x72\x65\x76\x5f\x76\x61\x6c\x2d\
\x3e\x63\x6f\x75\x6e\x74\x65\x72\x3b\0\x09\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\
\x3e\x65\x6e\x61\x62\x6c\x65\x64\x20\x3d\x20\x76\x61\x6c\x2e\x65\x6e\x61\x62\
\x6c\x65\x64\x20\x2d\x20\x70\x72\x65\x76\x5f\x76\x61\x6c\x2d\x3e\x65\x6e\x61\
\x62\x6c\x65\x64\x3b\0\x09\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\x72\x75\x6e\
\x6e\x69\x6e\x67\x20\x3d\x20\x76\x61\x6c\x2e\x72\x75\x6e\x6e\x69\x6e\x67\x20\
\x2d\x20\x70\x72\x65\x76\x5f\x76\x61\x6c\x2d\x3e\x72\x75\x6e\x6e\x69\x6e\x67\
\x3b\0\x09\x2a\x70\x72\x65\x76\x5f\x76\x61\x6c\x20\x3d\x20\x76\x61\x6c\x3b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6f\x6e\x5f\x73\x77\x69\
\x74\x63\x68\x29\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\x01\x8c\0\0\x01\xa0\0\0\0\0\0\0\0\x08\0\0\0\x8c\0\0\0\
\x01\0\0\0\0\0\0\0\x16\0\0\0\x10\0\0\0\x8c\0\0\0\x18\0\0\0\0\0\0\0\xa0\0\0\x01\
\x13\0\0\x80\x0e\0\0\0\x18\0\0\0\xa0\0\0\x01\x3c\0\0\x84\x08\0\0\0\x28\0\0\0\
\xa0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\xa0\0\0\x01\x4d\0\0\x90\x0d\0\0\0\x50\0\0\
\0\xa0\0\0\x01\x85\0\0\x94\x06\0\0\0\x60\0\0\0\xa0\0\0\x01\x95\0\0\xa0\x0d\0\0\
\0\x88\0\0\0\xa0\0\0\x01\xcd\0\0\xa4\x06\0\0\0\x90\0\0\0\xa0\0\0\x01\xdd\0\0\
\xb0\x2b\0\0\0\xb0\0\0\0\xa0\0\0\x01\xdd\0\0\xb0\x08\0\0\0\xd8\0\0\0\xa0\0\0\
\x02\x20\0\0\xb4\x06\0\0\0\xe0\0\0\0\xa0\0\0\x02\x2a\0\0\xc0\x2e\0\0\0\xe8\0\0\
\0\xa0\0\0\x02\x2a\0\0\xc0\x1a\0\0\0\xf0\0\0\0\xa0\0\0\x02\x2a\0\0\xc0\x22\0\0\
\0\xf8\0\0\0\xa0\0\0\x02\x2a\0\0\xc0\x14\0\0\x01\0\0\0\0\xa0\0\0\x02\x60\0\0\
\xc4\x2e\0\0\x01\x08\0\0\0\xa0\0\0\x02\x60\0\0\xc4\x1a\0\0\x01\x10\0\0\0\xa0\0\
\0\x02\x60\0\0\xc4\x22\0\0\x01\x18\0\0\0\xa0\0\0\x02\x60\0\0\xc4\x14\0\0\x01\
\x20\0\0\0\xa0\0\0\x02\x96\0\0\xc8\x2e\0\0\x01\x28\0\0\0\xa0\0\0\x02\x96\0\0\
\xc8\x1a\0\0\x01\x30\0\0\0\xa0\0\0\x02\x96\0\0\xc8\x22\0\0\x01\x38\0\0\0\xa0\0\
\0\x02\x96\0\0\xc8\x14\0\0\x01\x40\0\0\0\xa0\0\0\x02\xcc\0\0\xcc\x0e\0\0\x01\
\x70\0\0\0\xa0\0\0\x02\xde\0\0\x74\x05\0\0\0\x0c\xff\xff\xff\xff\x04\0\x08\0\
\x08\x7c\x0b\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\0\0\x01\
\x6d\0\x04\0\0\0\xee\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\
\x01\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\0\x2f\x75\x73\x72\x2f\
\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\
\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\
\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\
\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\0\0\x62\x70\
\x65\x72\x66\x5f\x6c\x65\x61\x64\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x01\0\0\x69\
\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\
\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\
\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x04\0\0\0\
\x05\x0e\x0a\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1f\x01\x06\x03\x60\x2e\x05\x08\x06\
\x03\x21\x20\x05\0\x06\x03\x5f\x2e\x05\x0d\x06\x03\x24\x20\x05\x06\x4b\x06\x03\
\x5b\x20\x05\x0d\x06\x03\x28\x20\x05\x06\x59\x05\x2b\x23\x05\x08\x06\x4a\x05\
\x06\x06\x59\x05\x2e\x23\x05\x1a\x06\x20\x05\x22\x20\x05\x14\x20\x05\x2e\x06\
\x21\x05\x1a\x06\x20\x05\x22\x20\x05\x14\x20\x05\x2e\x06\x21\x05\x1a\x06\x20\
\x05\x22\x20\x05\x14\x20\x05\x0e\x06\x21\x05\x05\x03\x6a\x66\x02\x02\0\x01\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xca\x04\0\
\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xfe\0\0\0\x03\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x12\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x66\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\0\
\0\0\x2f\x11\0\0\x06\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\x3d\x11\0\0\x06\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x20\0\0\0\x22\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\0\0\0\xf6\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\
\0\0\0\x30\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\x68\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\
\0\0\xb0\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x05\0\0\0\x03\0\0\0\0\0\0\
\0\x0c\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\x12\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\x16\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x1a\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\x1e\0\0\0\x02\0\0\0\x02\0\0\0\0\0\0\0\x2b\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\x37\0\0\0\x0d\0\0\0\x02\0\0\0\0\0\0\0\x4c\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\x53\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\x5a\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\x66\0\0\0\x0c\0\0\0\x02\0\0\0\0\0\0\0\x73\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\x7f\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\x8b\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\x97\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\xb5\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\xce\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\xda\0\0\0\x0a\0\0\0\x02\0\0\0\0\0\0\0\
\xe7\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\xf3\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\0\
\xff\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x01\x0b\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\
\x01\x4b\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x01\x57\0\0\0\x0b\0\0\0\x02\0\0\0\0\0\
\0\x01\x64\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x01\x70\0\0\0\x06\0\0\0\x03\0\0\0\0\
\0\0\x01\x7c\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x01\x88\0\0\0\x06\0\0\0\x03\0\0\0\
\0\0\0\x01\x95\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x01\xaf\0\0\0\x06\0\0\0\x03\0\0\
\0\0\0\0\x01\xb6\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x01\xbd\0\0\0\x06\0\0\0\x03\0\
\0\0\0\0\0\x01\xe5\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\x11\0\0\0\x06\0\0\0\x03\
\0\0\0\0\0\0\x02\x1c\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\x23\0\0\0\x06\0\0\0\
\x03\0\0\0\0\0\0\x02\x2f\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\x38\0\0\0\x06\0\0\
\0\x03\0\0\0\0\0\0\x02\x45\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\x52\0\0\0\x06\0\
\0\0\x03\0\0\0\0\0\0\x02\x60\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\x6c\0\0\0\x06\
\0\0\0\x03\0\0\0\0\0\0\x02\x77\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\x82\0\0\0\
\x06\0\0\0\x03\0\0\0\0\0\0\x02\x8d\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\x98\0\0\
\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\xa3\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\xae\0\
\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\xbf\0\0\0\x02\0\0\0\x02\0\0\0\0\0\0\x02\xcd\
\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\xd8\0\0\0\x06\0\0\0\x03\0\0\0\0\0\0\x02\
\xe7\0\0\0\x02\0\0\0\x02\0\0\0\0\0\0\x03\x07\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\
\x03\x10\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\x03\x19\0\0\0\x04\0\0\0\x03\0\0\0\0\0\
\0\x02\x54\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\x02\x60\0\0\0\x0a\0\0\0\x04\0\0\0\0\
\0\0\x02\x6c\0\0\0\x0b\0\0\0\x04\0\0\0\0\0\0\x02\x84\0\0\0\x0d\0\0\0\x04\0\0\0\
\0\0\0\0\x2c\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x04\0\0\0\0\
\0\0\0\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\x04\0\0\0\0\0\
\0\0\x70\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\
\0\x90\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\xb0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\xd0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\xf0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\
\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x20\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\
\x01\x30\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x40\0\0\0\x02\0\0\0\x04\0\0\0\0\0\
\0\x01\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x60\0\0\0\x02\0\0\0\x04\0\0\0\0\
\0\0\x01\x70\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x80\0\0\0\x02\0\0\0\x04\0\0\0\
\0\0\0\x01\x90\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\xa0\0\0\0\x02\0\0\0\x04\0\0\
\0\0\0\0\x01\xb0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x14\0\0\0\x07\0\0\0\x03\0\0\
\0\0\0\0\0\x18\0\0\0\x02\0\0\0\x02\0\0\0\0\0\0\0\xfe\0\0\0\x02\0\0\0\x02\x09\
\x0d\x0c\x0a\x0b\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\
\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x65\x76\
\x65\x6e\x74\x73\0\x2e\x6d\x61\x70\x73\0\x70\x72\x65\x76\x5f\x72\x65\x61\x64\
\x69\x6e\x67\x73\0\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x2e\
\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\
\x5f\x69\x6e\x66\x6f\0\x6f\x6e\x5f\x73\x77\x69\x74\x63\x68\0\x2e\x72\x65\x6c\
\x72\x61\x77\x5f\x74\x70\x2f\x73\x63\x68\x65\x64\x5f\x73\x77\x69\x74\x63\x68\0\
\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\
\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\
\x67\x5f\x6c\x6f\x63\0\x62\x70\x65\x72\x66\x5f\x6c\x65\x61\x64\x65\x72\x2e\x62\
\x70\x66\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x4c\x42\x42\
\x30\x5f\x34\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xdd\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\x05\0\0\0\0\
\0\0\x01\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x13\x50\0\0\0\0\0\0\0\x30\0\0\0\x15\0\0\0\x03\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\x96\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\xc0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\xd0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\xbf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\0\0\0\
\0\x69\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x99\0\0\0\0\0\0\x01\x47\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xe0\0\0\0\0\0\0\x03\x24\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x13\x80\0\0\0\0\0\0\x03\x80\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\x4b\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x07\x04\0\0\0\0\0\0\x01\xf9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\xf1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\0\0\0\0\x05\x9d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\xed\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\0\0\
\0\0\0\x40\0\0\0\x15\0\0\0\x0c\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x19\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\xa0\0\0\0\0\0\0\x01\
\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x40\0\0\0\0\0\0\x01\x90\0\0\0\
\x15\0\0\0\x0e\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xb2\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x60\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xae\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\xd0\0\0\0\0\0\0\0\x20\0\0\0\x15\0\0\0\x10\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x88\0\0\0\0\0\0\x01\x71\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\x9e\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\xf0\0\0\0\0\0\0\0\x10\0\0\0\x15\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\x88\x6f\xff\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x19\0\0\0\0\0\0\0\0\x05\0\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\xe5\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\
\0\x01\x50\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bperf_leader_bpf *bperf_leader_bpf::open(const struct bpf_object_open_opts *opts) { return bperf_leader_bpf__open_opts(opts); }
struct bperf_leader_bpf *bperf_leader_bpf::open_and_load() { return bperf_leader_bpf__open_and_load(); }
int bperf_leader_bpf::load(struct bperf_leader_bpf *skel) { return bperf_leader_bpf__load(skel); }
int bperf_leader_bpf::attach(struct bperf_leader_bpf *skel) { return bperf_leader_bpf__attach(skel); }
void bperf_leader_bpf::detach(struct bperf_leader_bpf *skel) { bperf_leader_bpf__detach(skel); }
void bperf_leader_bpf::destroy(struct bperf_leader_bpf *skel) { bperf_leader_bpf__destroy(skel); }
const void *bperf_leader_bpf::elf_bytes(size_t *sz) { return bperf_leader_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bperf_leader_bpf__assert(struct bperf_leader_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPERF_LEADER_BPF_SKEL_H__ */
