/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LOCAL_KPTR_STASH_SKEL_H__
#define __LOCAL_KPTR_STASH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct local_kptr_stash {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *some_nodes;
		struct bpf_map *refcounted_node_stash;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *stash_rb_nodes;
		struct bpf_program *stash_plain;
		struct bpf_program *stash_local_with_root;
		struct bpf_program *unstash_rb_node;
		struct bpf_program *stash_test_ref_kfunc;
		struct bpf_program *refcount_acquire_without_unstash;
		struct bpf_program *stash_refcounted_node;
	} progs;
	struct {
		struct bpf_link *stash_rb_nodes;
		struct bpf_link *stash_plain;
		struct bpf_link *stash_local_with_root;
		struct bpf_link *unstash_rb_node;
		struct bpf_link *stash_test_ref_kfunc;
		struct bpf_link *refcount_acquire_without_unstash;
		struct bpf_link *stash_refcounted_node;
	} links;
	struct local_kptr_stash__bss {
		struct node_data *just_here_because_btf_bug;
		struct refcounted_node *just_here_because_btf_bug2;
	} *bss;

#ifdef __cplusplus
	static inline struct local_kptr_stash *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct local_kptr_stash *open_and_load();
	static inline int load(struct local_kptr_stash *skel);
	static inline int attach(struct local_kptr_stash *skel);
	static inline void detach(struct local_kptr_stash *skel);
	static inline void destroy(struct local_kptr_stash *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
local_kptr_stash__destroy(struct local_kptr_stash *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
local_kptr_stash__create_skeleton(struct local_kptr_stash *obj);

static inline struct local_kptr_stash *
local_kptr_stash__open_opts(const struct bpf_object_open_opts *opts)
{
	struct local_kptr_stash *obj;
	int err;

	obj = (struct local_kptr_stash *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = local_kptr_stash__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	local_kptr_stash__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct local_kptr_stash *
local_kptr_stash__open(void)
{
	return local_kptr_stash__open_opts(NULL);
}

static inline int
local_kptr_stash__load(struct local_kptr_stash *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct local_kptr_stash *
local_kptr_stash__open_and_load(void)
{
	struct local_kptr_stash *obj;
	int err;

	obj = local_kptr_stash__open();
	if (!obj)
		return NULL;
	err = local_kptr_stash__load(obj);
	if (err) {
		local_kptr_stash__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
local_kptr_stash__attach(struct local_kptr_stash *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
local_kptr_stash__detach(struct local_kptr_stash *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *local_kptr_stash__elf_bytes(size_t *sz);

static inline int
local_kptr_stash__create_skeleton(struct local_kptr_stash *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "local_kptr_stash";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "some_nodes";
	s->maps[0].map = &obj->maps.some_nodes;

	s->maps[1].name = "refcounted_node_stash";
	s->maps[1].map = &obj->maps.refcounted_node_stash;

	s->maps[2].name = "local_kp.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "stash_rb_nodes";
	s->progs[0].prog = &obj->progs.stash_rb_nodes;
	s->progs[0].link = &obj->links.stash_rb_nodes;

	s->progs[1].name = "stash_plain";
	s->progs[1].prog = &obj->progs.stash_plain;
	s->progs[1].link = &obj->links.stash_plain;

	s->progs[2].name = "stash_local_with_root";
	s->progs[2].prog = &obj->progs.stash_local_with_root;
	s->progs[2].link = &obj->links.stash_local_with_root;

	s->progs[3].name = "unstash_rb_node";
	s->progs[3].prog = &obj->progs.unstash_rb_node;
	s->progs[3].link = &obj->links.unstash_rb_node;

	s->progs[4].name = "stash_test_ref_kfunc";
	s->progs[4].prog = &obj->progs.stash_test_ref_kfunc;
	s->progs[4].link = &obj->links.stash_test_ref_kfunc;

	s->progs[5].name = "refcount_acquire_without_unstash";
	s->progs[5].prog = &obj->progs.refcount_acquire_without_unstash;
	s->progs[5].link = &obj->links.refcount_acquire_without_unstash;

	s->progs[6].name = "stash_refcounted_node";
	s->progs[6].prog = &obj->progs.stash_refcounted_node;
	s->progs[6].link = &obj->links.stash_refcounted_node;

	s->data = local_kptr_stash__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *local_kptr_stash__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\x98\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x6c\x6f\x63\x61\x6c\x5f\x6b\x70\x74\x72\x5f\x73\x74\x61\x73\x68\
\x2e\x63\0\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\
\x5f\x38\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x32\x5f\x35\0\x4c\x42\x42\x32\
\x5f\x34\0\x6c\x65\x73\x73\0\x4c\x42\x42\x33\x5f\x32\0\x4c\x42\x42\x34\x5f\x33\
\0\x4c\x42\x42\x35\x5f\x33\0\x4c\x42\x42\x36\x5f\x36\0\x4c\x42\x42\x36\x5f\x35\
\0\x4c\x42\x42\x37\x5f\x34\0\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\
\x65\x73\0\x73\x6f\x6d\x65\x5f\x6e\x6f\x64\x65\x73\0\x62\x70\x66\x5f\x6f\x62\
\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\
\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x73\x74\x61\x73\x68\x5f\x70\x6c\x61\x69\x6e\
\0\x73\x74\x61\x73\x68\x5f\x6c\x6f\x63\x61\x6c\x5f\x77\x69\x74\x68\x5f\x72\x6f\
\x6f\x74\0\x62\x70\x66\x5f\x72\x62\x74\x72\x65\x65\x5f\x61\x64\x64\x5f\x69\x6d\
\x70\x6c\0\x75\x6e\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\x65\0\x73\
\x74\x61\x73\x68\x5f\x74\x65\x73\x74\x5f\x72\x65\x66\x5f\x6b\x66\x75\x6e\x63\0\
\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\
\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\x63\
\x71\x75\x69\x72\x65\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x75\x6e\x73\x74\x61\
\x73\x68\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\x5f\x73\
\x74\x61\x73\x68\0\x62\x70\x66\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\x63\
\x71\x75\x69\x72\x65\x5f\x69\x6d\x70\x6c\0\x73\x74\x61\x73\x68\x5f\x72\x65\x66\
\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x6a\x75\x73\x74\x5f\x68\x65\x72\x65\x5f\x62\x65\x63\x61\x75\x73\x65\x5f\
\x62\x74\x66\x5f\x62\x75\x67\0\x6a\x75\x73\x74\x5f\x68\x65\x72\x65\x5f\x62\x65\
\x63\x61\x75\x73\x65\x5f\x62\x74\x66\x5f\x62\x75\x67\x32\0\x2e\x72\x65\x6c\x74\
\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x04\0\0\0\0\0\0\x01\x88\0\
\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x4e\
\0\0\0\x04\0\0\0\0\0\0\x01\x90\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x04\0\0\0\0\0\0\
\x02\x58\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\x63\0\0\0\x04\0\0\0\0\0\0\x03\xe0\0\0\0\0\0\0\0\0\0\0\0\x6a\x02\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x6f\0\0\0\x03\0\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\0\0\0\0\x76\0\0\0\x04\0\0\0\0\0\0\x04\x98\0\0\0\0\0\0\0\0\0\0\0\x7d\0\
\0\0\x04\0\0\0\0\0\0\x05\x28\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\x04\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x8b\0\0\0\x04\0\0\0\0\0\0\x05\xd8\0\0\0\0\0\0\0\0\
\0\0\0\x92\0\0\0\x04\0\0\0\0\0\0\x06\xe0\0\0\0\0\0\0\0\0\0\0\0\x99\x12\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x98\0\0\0\xa8\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\0\0\0\xb3\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc4\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\x12\0\0\x04\0\0\0\0\0\0\
\x01\x98\0\0\0\0\0\0\0\xd0\0\0\0\xe2\x12\0\0\x04\0\0\0\0\0\0\x02\x68\0\0\0\0\0\
\0\x01\xa8\0\0\0\xf8\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x0c\x12\
\0\0\x04\0\0\0\0\0\0\x04\x10\0\0\0\0\0\0\0\x98\0\0\x01\x1c\x12\0\0\x04\0\0\0\0\
\0\0\x04\xa8\0\0\0\0\0\0\0\x90\0\0\x01\x31\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\x4d\x12\0\0\x04\0\0\0\0\0\0\x05\x38\0\0\0\0\0\0\0\xd8\0\0\x01\
\x6e\x11\0\0\x05\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\x01\x84\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x9e\x12\0\0\x04\0\0\0\0\0\0\x06\x10\0\0\0\
\0\0\0\0\xd8\0\0\x01\xb4\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\
\xbd\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\x01\xd7\x11\0\0\x07\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\x79\x22\xff\xf0\0\0\0\0\x79\x11\xff\xf0\0\0\0\
\0\xb4\0\0\0\0\0\0\x01\xcd\x12\0\x01\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x62\xa0\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\
\x60\0\x29\0\0\0\0\x18\x10\0\0\0\0\0\x1d\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\x24\0\0\0\0\x7a\0\0\0\0\0\0\x29\x07\x60\0\
\0\0\0\0\x10\xbf\x16\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\x15\0\
\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\x62\xa0\xff\xfc\0\0\0\x01\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\x01\x15\x60\0\x13\0\0\0\0\x18\x10\0\0\0\0\0\x1d\0\0\0\0\0\0\0\
\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x20\0\0\0\0\0\0\xb7\0\0\
\0\0\0\0\x01\x15\x20\0\x0c\0\0\0\0\x7a\x20\0\0\0\0\0\x2a\x07\x60\0\0\0\0\0\x10\
\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\xbf\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x15\x10\0\x05\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb7\0\0\
\0\0\0\0\0\x05\0\0\x01\0\0\0\0\xb7\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\x62\xa0\
\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\xb7\x60\0\0\0\0\
\0\x01\x15\x70\0\x0f\0\0\0\0\x18\x10\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\xb7\x20\0\0\
\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x15\0\0\x0a\0\0\0\0\x7a\0\0\0\0\0\0\x29\
\x07\x70\0\0\0\0\0\x18\xbf\x17\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\xc2\xb7\x60\0\0\0\0\0\0\x15\0\0\x03\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\
\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\
\xa0\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\xb7\x80\0\0\
\0\0\0\x01\x15\x70\0\x2a\0\0\0\0\x18\x10\0\0\0\0\0\x2b\0\0\0\0\0\0\0\0\xb7\x20\
\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\xb7\x80\0\0\0\0\0\
\x02\x15\x60\0\x23\0\0\0\0\x7a\x60\0\0\0\0\0\x29\xb7\x80\0\0\0\0\0\0\x18\x10\0\
\0\0\0\0\x1d\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\
\xbf\x90\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x03\x15\x90\0\x16\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\x07\x10\0\0\0\0\0\x08\x7b\xa1\xff\xf0\0\0\0\0\x85\0\0\0\0\0\0\x5d\x07\
\x90\0\0\0\0\0\x10\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x10\xbf\x29\0\0\0\0\0\
\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\xb7\x50\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\x79\x1a\xff\xf0\0\0\0\0\x85\0\0\0\0\0\0\x5e\x07\
\x70\0\0\0\0\0\x20\xbf\x17\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\
\xbf\x60\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x04\x15\x60\0\x04\0\0\0\0\xbf\x81\0\0\0\
\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\
\x08\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\xa0\xff\xfc\0\0\0\x01\xbf\x2a\0\0\0\0\0\
\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x01\xb7\x60\0\0\0\0\0\x01\x15\0\0\x09\0\0\0\0\x07\0\0\0\0\0\0\x10\xbf\x10\
\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\x15\0\0\x04\0\0\0\0\x79\
\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\
\xff\xff\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\xa0\xff\xfc\0\0\0\0\xbf\x2a\
\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x01\xb7\x60\0\0\0\0\0\x01\x15\0\0\x08\0\0\0\0\x07\0\0\0\0\0\0\
\x08\xb7\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\xc2\x15\0\0\x02\0\0\0\0\xbf\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\
\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\xa0\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\
\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\x01\xbf\x60\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x15\x60\0\x10\0\0\0\0\xb7\x20\
\0\0\0\0\0\x02\x79\x16\0\x08\0\0\0\0\x15\x10\0\x0d\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\xb7\x20\0\0\0\0\0\x03\x15\0\0\x09\0\0\0\0\xb4\x10\
\0\0\xff\xff\xff\xff\x79\x26\0\x08\0\0\0\0\x15\x20\0\x01\0\0\0\0\x79\x12\0\0\0\
\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\
\0\0\xff\xff\xff\xff\x81\x2a\xff\xfc\0\0\0\0\xbf\x02\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x62\xa0\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\x01\x15\x60\0\x11\0\0\0\0\x18\x10\0\0\0\0\0\x4e\0\0\0\0\0\0\0\
\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x20\0\0\0\0\0\0\xb7\0\0\
\0\0\0\0\x02\x15\x20\0\x0a\0\0\0\0\x7a\x20\0\0\0\0\0\x2a\x07\x60\0\0\0\0\0\x08\
\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc2\xbf\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x15\x10\0\x03\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb7\0\0\
\0\0\0\0\x03\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\0\
\x58\0\0\0\x13\0\0\0\x0a\0\0\0\0\0\0\0\xa8\0\0\0\x14\0\0\0\x0a\0\0\0\0\0\0\0\
\xc8\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x01\x10\0\0\0\x13\0\0\0\x0a\0\0\0\0\0\0\
\x01\x70\0\0\0\x14\0\0\0\x0a\0\0\0\0\0\0\x01\xb0\0\0\0\x12\0\0\0\x01\0\0\0\0\0\
\0\x01\xf8\0\0\0\x13\0\0\0\x0a\0\0\0\0\0\0\x02\x50\0\0\0\x14\0\0\0\x0a\0\0\0\0\
\0\0\x02\x80\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x02\xc8\0\0\0\x13\0\0\0\x0a\0\0\0\
\0\0\0\x03\x10\0\0\0\x13\0\0\0\x0a\0\0\0\0\0\0\x03\x70\0\0\0\x02\0\0\0\x01\0\0\
\0\0\0\0\x03\x90\0\0\0\x17\0\0\0\x0a\0\0\0\0\0\0\x03\xf8\0\0\0\x14\0\0\0\x0a\0\
\0\0\0\0\0\x04\x28\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x04\x90\0\0\0\x14\0\0\0\x0a\
\0\0\0\0\0\0\x04\xc0\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x05\x20\0\0\0\x1a\0\0\0\
\x0a\0\0\0\0\0\0\x05\x50\0\0\0\x1c\0\0\0\x01\0\0\0\0\0\0\x05\xa0\0\0\0\x1d\0\0\
\0\x0a\0\0\0\0\0\0\x05\xf0\0\0\0\x14\0\0\0\x0a\0\0\0\0\0\0\x06\x28\0\0\0\x1c\0\
\0\0\x01\0\0\0\0\0\0\x06\x70\0\0\0\x13\0\0\0\x0a\0\0\0\0\0\0\x06\xd0\0\0\0\x14\
\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x07\x94\0\0\x07\x94\0\0\x08\x8a\
\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\
\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x07\0\0\0\x19\
\x04\0\0\x05\0\0\0\x28\0\0\0\x23\0\0\0\x08\0\0\0\0\0\0\0\x2c\0\0\0\x09\0\0\0\
\x40\0\0\0\x30\0\0\0\x0a\0\0\0\x80\0\0\0\x35\0\0\0\x0b\0\0\0\xc0\0\0\0\x3b\0\0\
\0\x0c\0\0\x01\0\0\0\0\0\x02\0\0\0\0\0\0\x3c\0\0\0\0\x02\0\0\0\0\0\0\x55\0\0\0\
\0\x02\0\0\0\0\0\0\x53\0\0\0\0\x02\0\0\0\0\0\0\x54\0\0\0\0\x02\0\0\0\0\0\0\x52\
\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x46\0\0\0\x01\0\0\0\0\0\0\0\x4b\0\0\0\x05\
\0\0\0\x40\0\0\0\x4f\0\0\0\x06\0\0\0\x80\0\0\0\x55\0\0\0\x01\0\0\0\xc0\0\0\0\
\x61\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x10\0\0\0\x6c\x04\0\
\0\x02\0\0\0\x10\0\0\0\x72\0\0\0\x11\0\0\0\0\0\0\0\x74\0\0\0\x14\0\0\0\x40\0\0\
\0\x7c\x04\0\0\x01\0\0\0\x04\0\0\0\x2c\0\0\0\x12\0\0\0\0\0\0\0\x8a\x08\0\0\0\0\
\0\0\x13\0\0\0\x90\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x56\0\
\0\0\0\x02\0\0\0\0\0\0\x16\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x0a\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x46\0\0\0\x01\0\0\0\0\0\0\0\x4b\0\0\0\
\x05\0\0\0\x40\0\0\0\x4f\0\0\0\x0f\0\0\0\x80\0\0\0\x55\0\0\0\x15\0\0\0\xc0\0\0\
\0\x9d\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\
\x01\0\0\0\x1b\0\0\0\xb3\0\0\0\x19\0\0\0\xb7\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\
\0\0\xbc\x0c\0\0\x01\0\0\0\x1a\0\0\0\xcb\x04\0\0\x03\0\0\0\x30\0\0\0\x4b\0\0\0\
\x1b\0\0\0\0\0\0\0\xd5\0\0\0\x1b\0\0\0\x40\0\0\0\x30\0\0\0\x1e\0\0\0\x80\0\0\0\
\xda\x04\0\0\x01\0\0\0\x20\0\0\0\xe6\0\0\0\x21\0\0\0\0\0\0\0\xef\x08\0\0\0\0\0\
\0\x20\0\0\0\xf5\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x1f\0\0\0\x04\0\0\0\x04\0\0\0\0\x0d\0\0\x02\0\0\0\x19\0\0\0\0\0\0\0\x1f\0\0\0\
\0\0\0\0\x19\0\0\x01\x08\x0c\0\0\x02\0\0\0\x22\0\0\0\0\x0d\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\x19\0\0\0\0\0\0\0\x19\0\0\x01\x19\x0c\0\0\x02\0\0\0\x24\0\0\x01\x2b\
\x0c\0\0\x01\0\0\0\x1a\0\0\x01\x37\x04\0\0\x02\0\0\0\x10\0\0\0\x4b\0\0\0\x1b\0\
\0\0\0\0\0\0\xd5\0\0\0\x1b\0\0\0\x40\0\0\x01\x43\x0c\0\0\x01\0\0\0\x1a\0\0\x01\
\x59\x04\0\0\x03\0\0\0\x20\0\0\0\x4b\0\0\0\x1b\0\0\0\0\0\0\0\x72\0\0\0\x11\0\0\
\0\x40\0\0\x01\x69\0\0\0\x2a\0\0\0\x80\0\0\x01\x6b\x04\0\0\x01\0\0\0\x10\0\0\0\
\xe6\0\0\0\x2b\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x04\0\0\0\x02\
\0\0\x01\x77\x11\0\0\0\0\0\0\x29\0\0\0\x02\0\0\0\0\x0d\0\0\x05\0\0\0\x02\0\0\0\
\0\0\0\0\x2e\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\
\0\x1f\0\0\0\0\x02\0\0\0\0\0\0\x2a\0\0\0\0\x02\0\0\0\0\0\0\x1e\0\0\0\0\x02\0\0\
\0\0\0\0\x31\0\0\0\0\x0d\0\0\x02\0\0\0\x32\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\x34\
\0\0\x01\x8f\x08\0\0\0\0\0\0\x33\0\0\x01\x94\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\
\0\0\0\x02\0\0\0\0\0\0\x35\0\0\0\0\x0a\0\0\0\0\0\0\x1e\0\0\x01\x9a\x0c\0\0\x02\
\0\0\0\x2d\0\0\0\0\x0d\0\0\x02\0\0\0\x32\0\0\x01\xae\0\0\0\x2f\0\0\x01\xb0\0\0\
\0\x34\0\0\x01\xb2\x0c\0\0\0\0\0\0\x37\0\0\x01\xb7\x0c\0\0\x01\0\0\0\x1a\0\0\
\x01\xc7\x0c\0\0\x01\0\0\0\x1a\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\x01\xdc\x04\0\0\x05\0\0\0\x20\0\0\x01\xae\0\0\0\x02\0\0\0\0\0\0\x01\xb0\0\0\
\0\x02\0\0\0\x20\0\0\x01\xf0\0\0\0\x3d\0\0\0\x40\0\0\x01\xf5\0\0\0\x08\0\0\0\
\x80\0\0\x01\xfa\0\0\0\x3f\0\0\0\xc0\0\0\x01\xfe\x04\0\0\x02\0\0\0\x08\0\0\x02\
\x0f\0\0\0\x3e\0\0\0\0\0\0\x02\x11\0\0\0\x02\0\0\0\x20\0\0\x02\x13\x04\0\0\x01\
\0\0\0\x04\0\0\x01\xae\0\0\0\x02\0\0\0\0\0\0\x02\x25\x08\0\0\0\0\0\0\x40\0\0\
\x02\x30\x04\0\0\x01\0\0\0\x04\0\0\x02\x40\0\0\0\x41\0\0\0\0\0\0\x02\x45\x08\0\
\0\0\0\0\0\x42\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x02\x4e\0\0\0\x02\0\0\0\0\0\0\
\x02\x56\x0c\0\0\x02\0\0\0\x3b\0\0\x02\x72\x0c\0\0\x01\0\0\0\x1a\0\0\0\0\x0d\0\
\0\x02\0\0\0\x19\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x19\0\0\x02\x93\x0c\0\0\x02\0\
\0\0\x45\0\0\x02\xad\x0c\0\0\x01\0\0\0\x1a\0\0\x02\xc3\x04\0\0\x03\0\0\0\x30\0\
\0\0\xd5\0\0\0\x1b\0\0\0\0\0\0\x02\xd3\0\0\0\x1e\0\0\0\x40\0\0\x02\xdb\0\0\0\
\x49\0\0\x01\x40\0\0\x02\xe4\x04\0\0\x01\0\0\0\x04\0\0\0\xe6\0\0\0\x4a\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x04\0\0\0\x01\0\0\x02\xf1\x01\0\0\0\
\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\x04\0\0\0\x04\
\0\0\x02\xf6\x0e\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x1d\0\0\x02\
\xff\x0e\0\0\0\0\0\0\x4e\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x48\0\0\x03\x19\x0e\
\0\0\0\0\0\0\x50\0\0\0\x01\0\0\x03\x34\x12\0\0\0\0\0\0\x29\0\0\x03\x34\x12\0\0\
\0\0\0\0\x1d\0\0\x03\x34\x12\0\0\0\0\0\0\x27\0\0\x03\x34\x12\0\0\0\0\0\0\x3c\0\
\0\x03\x34\x12\0\0\0\0\0\0\x48\0\0\x08\x67\x0f\0\0\x02\0\0\0\x40\0\0\0\x0e\0\0\
\0\0\0\0\0\x20\0\0\0\x18\0\0\0\x20\0\0\0\x20\0\0\x08\x6d\x0f\0\0\x01\0\0\0\x04\
\0\0\0\x4d\0\0\0\0\0\0\0\x04\0\0\x08\x75\x0f\0\0\x02\0\0\0\x10\0\0\0\x4f\0\0\0\
\0\0\0\0\x08\0\0\0\x51\0\0\0\x08\0\0\0\x08\0\0\x08\x7a\x0f\0\0\x05\0\0\0\0\0\0\
\0\x23\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\0\0\0\0\0\0\0\
\0\x43\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6d\x61\x70\
\x5f\x76\x61\x6c\x75\x65\0\x6e\x6f\x74\x5f\x6b\x70\x74\x72\0\x76\x61\x6c\0\x6e\
\x6f\x64\x65\0\x70\x6c\x61\x69\x6e\0\x6c\x6f\x63\x61\x6c\x5f\x72\x6f\x6f\x74\0\
\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x73\x6f\x6d\x65\x5f\x6e\x6f\x64\x65\x73\0\x73\x74\x61\
\x73\x68\0\x6c\0\x73\x74\x61\x73\x68\x65\x64\0\x62\x70\x66\x5f\x73\x70\x69\x6e\
\x5f\x6c\x6f\x63\x6b\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\
\x5f\x73\x74\x61\x73\x68\0\x63\x74\x78\0\x6c\x6f\x6e\x67\0\x73\x74\x61\x73\x68\
\x5f\x72\x62\x5f\x6e\x6f\x64\x65\x73\0\x6e\x6f\x64\x65\x5f\x64\x61\x74\x61\0\
\x64\x61\x74\x61\0\x62\x70\x66\x5f\x72\x62\x5f\x6e\x6f\x64\x65\0\x5f\x5f\x6f\
\x70\x61\x71\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\
\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\
\x5f\x69\x6d\x70\x6c\0\x73\x74\x61\x73\x68\x5f\x70\x6c\x61\x69\x6e\0\x70\x6c\
\x61\x69\x6e\x5f\x6c\x6f\x63\x61\x6c\0\x73\x74\x61\x73\x68\x5f\x6c\x6f\x63\x61\
\x6c\x5f\x77\x69\x74\x68\x5f\x72\x6f\x6f\x74\0\x6c\x6f\x63\x61\x6c\x5f\x77\x69\
\x74\x68\x5f\x72\x6f\x6f\x74\0\x72\0\x62\x70\x66\x5f\x72\x62\x5f\x72\x6f\x6f\
\x74\0\x63\x6f\x6e\x74\x61\x69\x6e\x73\x3a\x6e\x6f\x64\x65\x5f\x64\x61\x74\x61\
\x3a\x6e\x6f\x64\x65\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x62\x70\x66\x5f\
\x72\x62\x74\x72\x65\x65\x5f\x61\x64\x64\x5f\x69\x6d\x70\x6c\0\x61\0\x62\0\x6c\
\x65\x73\x73\0\x75\x6e\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\x65\0\
\x73\x74\x61\x73\x68\x5f\x74\x65\x73\x74\x5f\x72\x65\x66\x5f\x6b\x66\x75\x6e\
\x63\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\x5f\x72\x65\x66\x5f\x6b\x66\x75\x6e\
\x63\0\x6d\x65\x6d\x62\0\x6e\x65\x78\x74\0\x63\x6e\x74\0\x70\x72\x6f\x67\x5f\
\x74\x65\x73\x74\x5f\x6d\x65\x6d\x62\x65\x72\0\x6d\0\x63\0\x70\x72\x6f\x67\x5f\
\x74\x65\x73\x74\x5f\x6d\x65\x6d\x62\x65\x72\x31\0\x72\x65\x66\x63\x6f\x75\x6e\
\x74\x5f\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\
\x72\x65\x66\x73\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\
\x72\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\
\x63\x71\x75\x69\x72\x65\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x75\x6e\x73\x74\
\x61\x73\x68\0\x62\x70\x66\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\x63\x71\
\x75\x69\x72\x65\x5f\x69\x6d\x70\x6c\0\x73\x74\x61\x73\x68\x5f\x72\x65\x66\x63\
\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\0\x72\x65\x66\x63\x6f\x75\x6e\x74\
\x65\x64\x5f\x6e\x6f\x64\x65\0\x72\x62\x5f\x6e\x6f\x64\x65\0\x72\x65\x66\x63\
\x6f\x75\x6e\x74\0\x62\x70\x66\x5f\x72\x65\x66\x63\x6f\x75\x6e\x74\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6a\x75\x73\x74\x5f\x68\x65\x72\
\x65\x5f\x62\x65\x63\x61\x75\x73\x65\x5f\x62\x74\x66\x5f\x62\x75\x67\0\x6a\x75\
\x73\x74\x5f\x68\x65\x72\x65\x5f\x62\x65\x63\x61\x75\x73\x65\x5f\x62\x74\x66\
\x5f\x62\x75\x67\x32\0\x6b\x70\x74\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\x6c\x39\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x6c\x6f\x63\x61\x6c\x5f\x6b\x70\x74\x72\x5f\x73\x74\x61\x73\x68\x2e\x63\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x6e\x6f\x64\x65\x5f\x61\x2d\x3e\x6b\x65\x79\
\x20\x3c\x20\x6e\x6f\x64\x65\x5f\x62\x2d\x3e\x6b\x65\x79\x3b\0\x6c\x6f\x6e\x67\
\x20\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\x65\x73\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x09\x6d\x61\x70\x76\x61\x6c\x20\x3d\x20\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\
\x73\x6f\x6d\x65\x5f\x6e\x6f\x64\x65\x73\x2c\x20\x26\x69\x64\x78\x29\x3b\0\x09\
\x69\x66\x20\x28\x21\x6d\x61\x70\x76\x61\x6c\x29\0\x09\x72\x65\x73\x20\x3d\x20\
\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x74\x79\x70\x65\x6f\x66\x28\
\x2a\x72\x65\x73\x29\x29\x3b\0\x09\x69\x66\x20\x28\x21\x72\x65\x73\x29\0\x09\
\x72\x65\x73\x2d\x3e\x6b\x65\x79\x20\x3d\x20\x76\x61\x6c\x3b\0\x09\x72\x65\x73\
\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x6d\
\x61\x70\x76\x61\x6c\x2d\x3e\x6e\x6f\x64\x65\x2c\x20\x72\x65\x73\x29\x3b\0\x09\
\x69\x66\x20\x28\x72\x65\x73\x29\0\x09\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\
\x72\x6f\x70\x28\x72\x65\x73\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x72\
\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x73\x74\x61\x73\x68\x28\x30\x2c\x20\x34\
\x31\x29\x20\x3f\x3a\x20\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x73\x74\
\x61\x73\x68\x28\x31\x2c\x20\x34\x32\x29\x3b\0\x09\x69\x6e\x74\x20\x69\x64\x78\
\x20\x3d\x20\x30\x3b\0\x09\x72\x65\x73\x2d\x3e\x6b\x65\x79\x20\x3d\x20\x34\x31\
\x3b\0\x09\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\
\x68\x67\x28\x26\x6d\x61\x70\x76\x61\x6c\x2d\x3e\x70\x6c\x61\x69\x6e\x2c\x20\
\x72\x65\x73\x29\x3b\0\x7d\0\x09\x6e\x20\x3d\x20\x62\x70\x66\x5f\x6f\x62\x6a\
\x5f\x6e\x65\x77\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x6e\x29\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x6e\x29\x20\x7b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\
\x6f\x63\x6b\x28\x26\x72\x65\x73\x2d\x3e\x6c\x29\x3b\0\x09\x62\x70\x66\x5f\x72\
\x62\x74\x72\x65\x65\x5f\x61\x64\x64\x28\x26\x72\x65\x73\x2d\x3e\x72\x2c\x20\
\x26\x6e\x2d\x3e\x6e\x6f\x64\x65\x2c\x20\x6c\x65\x73\x73\x29\x3b\0\x09\x62\x70\
\x66\x5f\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x26\x72\x65\x73\x2d\
\x3e\x6c\x29\x3b\0\x09\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\
\x5f\x78\x63\x68\x67\x28\x26\x6d\x61\x70\x76\x61\x6c\x2d\x3e\x6c\x6f\x63\x61\
\x6c\x5f\x72\x6f\x6f\x74\x2c\x20\x72\x65\x73\x29\x3b\0\x09\x69\x66\x20\x28\x72\
\x65\x73\x29\x20\x7b\0\x09\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x31\x3b\0\
\x09\x6d\x61\x70\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x6f\x6d\x65\x5f\x6e\x6f\
\x64\x65\x73\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x72\x65\x73\x20\x3d\x20\x62\
\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x6d\x61\x70\x76\x61\
\x6c\x2d\x3e\x6e\x6f\x64\x65\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x09\x09\x72\x65\
\x74\x76\x61\x6c\x20\x3d\x20\x72\x65\x73\x2d\x3e\x6b\x65\x79\x3b\0\x09\x69\x6e\
\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x72\x65\x73\x20\x3d\x20\x62\x70\
\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x6d\x61\x70\x76\x61\x6c\
\x2d\x3e\x76\x61\x6c\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x09\x09\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\x65\x6c\
\x65\x61\x73\x65\x28\x72\x65\x73\x29\x3b\0\x09\x69\x6e\x74\x20\x72\x65\x74\x20\
\x3d\x20\x30\x3b\0\x09\x73\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x72\x65\x66\x63\x6f\x75\x6e\x74\
\x65\x64\x5f\x6e\x6f\x64\x65\x5f\x73\x74\x61\x73\x68\x2c\x20\x26\x72\x65\x74\
\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x29\0\x09\x69\x66\x20\x28\x21\x73\x2d\
\x3e\x73\x74\x61\x73\x68\x65\x64\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x72\
\x65\x66\x63\x6f\x75\x6e\x74\x5f\x61\x63\x71\x75\x69\x72\x65\x28\x73\x2d\x3e\
\x73\x74\x61\x73\x68\x65\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x29\0\x09\
\x72\x65\x74\x20\x3d\x20\x73\x2d\x3e\x73\x74\x61\x73\x68\x65\x64\x20\x3f\x20\
\x73\x2d\x3e\x73\x74\x61\x73\x68\x65\x64\x2d\x3e\x64\x61\x74\x61\x20\x3a\x20\
\x2d\x31\x3b\0\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x70\x29\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x65\x74\x3b\0\x09\x73\x20\x3d\x20\
\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\
\x28\x26\x72\x65\x66\x63\x6f\x75\x6e\x74\x65\x64\x5f\x6e\x6f\x64\x65\x5f\x73\
\x74\x61\x73\x68\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x70\
\x29\x29\x3b\0\x09\x70\x2d\x3e\x64\x61\x74\x61\x20\x3d\x20\x34\x32\x3b\0\x09\
\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\
\x73\x2d\x3e\x73\x74\x61\x73\x68\x65\x64\x2c\x20\x70\x29\x3b\0\x09\x69\x66\x20\
\x28\x70\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\
\x28\x70\x29\x3b\0\x30\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\
\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\x06\x14\0\0\x06\x68\
\0\0\0\x6c\0\0\0\x08\0\0\x08\x81\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\x08\x87\0\0\0\
\x07\0\0\0\0\0\0\0\x1c\0\0\x01\x98\0\0\0\x26\0\0\x02\x68\0\0\0\x28\0\0\x04\x10\
\0\0\0\x39\0\0\x04\xa8\0\0\0\x3a\0\0\x05\x38\0\0\0\x44\0\0\x06\x10\0\0\0\x47\0\
\0\0\x10\0\0\x08\x81\0\0\0\x04\0\0\0\0\0\0\x03\x39\0\0\x03\xb5\0\x01\x4c\x1f\0\
\0\0\x08\0\0\x03\x39\0\0\x03\xb5\0\x01\x4c\x11\0\0\0\x18\0\0\x03\x39\0\0\x03\
\xb5\0\x01\x4c\x15\0\0\0\x28\0\0\x03\x39\0\0\x03\xb5\0\x01\x4c\x02\0\0\x08\x87\
\0\0\0\x5c\0\0\0\0\0\0\x03\x39\0\0\x03\xd8\0\x01\xac\0\0\0\0\x10\0\0\x03\x39\0\
\0\0\0\0\0\0\0\0\0\0\x18\0\0\x03\x39\0\0\x03\xf7\0\x01\x6c\x0b\0\0\0\x38\0\0\
\x03\x39\0\0\x04\x29\0\x01\x70\x06\0\0\0\x40\0\0\x03\x39\0\0\x04\x37\0\x01\x7c\
\x08\0\0\0\x60\0\0\x03\x39\0\0\x04\x59\0\x01\x80\x06\0\0\0\x68\0\0\x03\x39\0\0\
\x04\x64\0\x01\x88\x0b\0\0\0\x70\0\0\x03\x39\0\0\x04\x75\0\x01\x90\x1f\0\0\0\
\x78\0\0\x03\x39\0\0\x04\x75\0\x01\x90\x08\0\0\0\x90\0\0\x03\x39\0\0\x04\x9f\0\
\x01\x94\x06\0\0\0\x98\0\0\x03\x39\0\0\x04\xa9\0\x01\x98\x03\0\0\0\xc0\0\0\x03\
\x39\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\x03\x39\0\0\x03\xf7\0\x01\x6c\x0b\0\0\0\xf0\
\0\0\x03\x39\0\0\x04\x29\0\x01\x70\x06\0\0\0\xf8\0\0\x03\x39\0\0\x04\x37\0\x01\
\x7c\x08\0\0\x01\x28\0\0\x03\x39\0\0\x04\x59\0\x01\x80\x06\0\0\x01\x30\0\0\x03\
\x39\0\0\x04\x64\0\x01\x88\x0b\0\0\x01\x38\0\0\x03\x39\0\0\x04\x75\0\x01\x90\
\x1f\0\0\x01\x40\0\0\x03\x39\0\0\x04\x75\0\x01\x90\x08\0\0\x01\x60\0\0\x03\x39\
\0\0\x04\x9f\0\x01\x94\x06\0\0\x01\x68\0\0\x03\x39\0\0\x04\xa9\0\x01\x98\x03\0\
\0\x01\x90\0\0\x03\x39\0\0\x04\xbe\0\x01\xb4\x02\0\0\x01\x98\0\0\x03\x39\0\0\
\x04\xfa\0\x01\xd4\x06\0\0\x01\xb0\0\0\x03\x39\0\0\x03\xf7\0\x01\xdc\x0b\0\0\
\x01\xd8\0\0\x03\x39\0\0\x04\x29\0\x01\xe0\x06\0\0\x01\xe0\0\0\x03\x39\0\0\x04\
\x37\0\x01\xec\x08\0\0\x02\0\0\0\x03\x39\0\0\x04\x59\0\x01\xf0\x06\0\0\x02\x08\
\0\0\x03\x39\0\0\x05\x08\0\x01\xf8\x0b\0\0\x02\x10\0\0\x03\x39\0\0\x05\x18\0\
\x02\0\x1f\0\0\x02\x18\0\0\x03\x39\0\0\x05\x18\0\x02\0\x08\0\0\x02\x38\0\0\x03\
\x39\0\0\x04\x9f\0\x02\x04\x06\0\0\x02\x40\0\0\x03\x39\0\0\x04\xa9\0\x02\x08\
\x03\0\0\x02\x58\0\0\x03\x39\0\0\x05\x43\0\x02\x10\x01\0\0\x02\x68\0\0\x03\x39\
\0\0\x04\xfa\0\x02\x30\x06\0\0\x02\x80\0\0\x03\x39\0\0\x03\xf7\0\x02\x38\x0b\0\
\0\x02\xa8\0\0\x03\x39\0\0\x04\x29\0\x02\x3c\x06\0\0\x02\xb0\0\0\x03\x39\0\0\
\x04\x37\0\x02\x48\x08\0\0\x02\xe0\0\0\x03\x39\0\0\x04\x59\0\x02\x4c\x06\0\0\
\x02\xe8\0\0\x03\x39\0\0\x05\x08\0\x02\x54\x0b\0\0\x02\xf8\0\0\x03\x39\0\0\x05\
\x45\0\x02\x5c\x06\0\0\x03\x28\0\0\x03\x39\0\0\x05\x63\0\x02\x60\x06\0\0\x03\
\x30\0\0\x03\x39\0\0\x05\x6e\0\x02\x74\x16\0\0\x03\x40\0\0\x03\x39\0\0\x05\x6e\
\0\x02\x74\x02\0\0\x03\x50\0\0\x03\x39\0\0\x05\x87\0\x02\x78\x02\0\0\x03\x98\0\
\0\x03\x39\0\0\x05\xb1\0\x02\x7c\x02\0\0\x03\xa8\0\0\x03\x39\0\0\x05\xcc\0\x02\
\x84\x1f\0\0\x03\xb0\0\0\x03\x39\0\0\x05\xcc\0\x02\x84\x08\0\0\x03\xd8\0\0\x03\
\x39\0\0\x05\xfc\0\x02\x88\x06\0\0\x03\xe8\0\0\x03\x39\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\x03\x39\0\0\x05\x43\0\x02\x9c\x01\0\0\x04\x10\0\0\x03\x39\0\0\x06\x08\0\
\x02\xbc\x06\0\0\x04\x28\0\0\x03\x39\0\0\x06\x16\0\x02\xc4\x0b\0\0\x04\x48\0\0\
\x03\x39\0\0\x04\x29\0\x02\xc8\x06\0\0\x04\x50\0\0\x03\x39\0\0\x06\x48\0\x02\
\xd4\x1f\0\0\x04\x58\0\0\x03\x39\0\0\x06\x48\0\x02\xd4\x08\0\0\x04\x70\0\0\x03\
\x39\0\0\x05\xfc\0\x02\xd8\x06\0\0\x04\x78\0\0\x03\x39\0\0\x06\x73\0\x02\xdc\
\x11\0\0\x04\x80\0\0\x03\x39\0\0\x04\xa9\0\x02\xe0\x03\0\0\x04\x98\0\0\x03\x39\
\0\0\x05\x43\0\x02\xf0\x01\0\0\x04\xa8\0\0\x03\x39\0\0\x06\x88\0\x03\x0c\x06\0\
\0\x04\xc0\0\0\x03\x39\0\0\x06\x16\0\x03\x14\x0b\0\0\x04\xe0\0\0\x03\x39\0\0\
\x04\x29\0\x03\x18\x06\0\0\x04\xe8\0\0\x03\x39\0\0\x06\x96\0\x03\x24\x1f\0\0\
\x04\xf8\0\0\x03\x39\0\0\x06\x96\0\x03\x24\x08\0\0\x05\x10\0\0\x03\x39\0\0\x04\
\x9f\0\x03\x28\x06\0\0\x05\x18\0\0\x03\x39\0\0\x06\xc0\0\x03\x2c\x03\0\0\x05\
\x28\0\0\x03\x39\0\0\x05\x43\0\x03\x34\x01\0\0\x05\x38\0\0\x03\x39\0\0\x06\xe4\
\0\x03\x50\x06\0\0\x05\x50\0\0\x03\x39\0\0\x06\xf2\0\x03\x58\x06\0\0\x05\x78\0\
\0\x03\x39\0\0\x07\x2a\0\x03\x5c\x06\0\0\x05\x88\0\0\x03\x39\0\0\x07\x33\0\x03\
\x68\x0a\0\0\x05\x90\0\0\x03\x39\0\0\x07\x33\0\x03\x68\x06\0\0\x05\x98\0\0\x03\
\x39\0\0\x07\x45\0\x03\x80\x06\0\0\x05\xb0\0\0\x03\x39\0\0\x07\x6c\0\x03\x84\
\x06\0\0\x05\xc0\0\0\x03\x39\0\0\x07\x75\0\x03\x90\x0b\0\0\x05\xc8\0\0\x03\x39\
\0\0\x07\x75\0\x03\x90\x08\0\0\x05\xd0\0\0\x03\x39\0\0\x07\x75\0\x03\x90\x21\0\
\0\x05\xd8\0\0\x03\x39\0\0\x07\x75\0\x03\x90\x06\0\0\x05\xe0\0\0\x03\x39\0\0\
\x07\xa0\0\x03\x94\x02\0\0\x05\xf8\0\0\x03\x39\0\0\x07\xb2\0\x03\x98\x09\0\0\
\x06\0\0\0\x03\x39\0\0\x05\x43\0\x03\x9c\x01\0\0\x06\x10\0\0\x03\x39\0\0\x06\
\x88\0\x03\xbc\x06\0\0\x06\x28\0\0\x03\x39\0\0\x07\xbf\0\x03\xc4\x06\0\0\x06\
\x50\0\0\x03\x39\0\0\x07\x2a\0\x03\xc8\x06\0\0\x06\x58\0\0\x03\x39\0\0\x07\xf7\
\0\x03\xd4\x06\0\0\x06\x88\0\0\x03\x39\0\0\x07\x6c\0\x03\xd8\x06\0\0\x06\x90\0\
\0\x03\x39\0\0\x08\x15\0\x03\xe0\x0a\0\0\x06\x98\0\0\x03\x39\0\0\x08\x24\0\x03\
\xe8\x18\0\0\x06\xa0\0\0\x03\x39\0\0\x08\x24\0\x03\xe8\x06\0\0\x06\xc0\0\0\x03\
\x39\0\0\x08\x48\0\x03\xec\x06\0\0\x06\xc8\0\0\x03\x39\0\0\x08\x52\0\x03\xf0\
\x03\0\0\x06\xe0\0\0\x03\x39\0\0\x05\x43\0\x04\x04\x01\0\0\0\x10\0\0\x08\x87\0\
\0\0\x06\0\0\0\x40\0\0\0\x1d\0\0\x08\x65\0\0\0\x06\0\0\0\xf8\0\0\0\x1d\0\0\x08\
\x65\0\0\0\x06\0\0\x01\xe0\0\0\0\x27\0\0\x08\x65\0\0\0\x06\0\0\x02\xb0\0\0\0\
\x29\0\0\x08\x65\0\0\0\x06\0\0\x02\xf8\0\0\0\x1d\0\0\x08\x65\0\0\0\x06\0\0\x06\
\x58\0\0\0\x48\0\0\x08\x65\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\x02\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\
\0\0\0\0\x03\x30\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x78\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa8\0\0\0\0\0\0\x06\xe8\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x90\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0c\xd0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0c\xd8\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\x01\xf2\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\
\xd8\0\0\0\0\0\0\x01\x90\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x01\xf9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x68\
\0\0\0\0\0\0\x10\x36\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\
\xfe\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\xa0\0\0\0\0\0\0\
\x06\xf4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct local_kptr_stash *local_kptr_stash::open(const struct bpf_object_open_opts *opts) { return local_kptr_stash__open_opts(opts); }
struct local_kptr_stash *local_kptr_stash::open_and_load() { return local_kptr_stash__open_and_load(); }
int local_kptr_stash::load(struct local_kptr_stash *skel) { return local_kptr_stash__load(skel); }
int local_kptr_stash::attach(struct local_kptr_stash *skel) { return local_kptr_stash__attach(skel); }
void local_kptr_stash::detach(struct local_kptr_stash *skel) { local_kptr_stash__detach(skel); }
void local_kptr_stash::destroy(struct local_kptr_stash *skel) { local_kptr_stash__destroy(skel); }
const void *local_kptr_stash::elf_bytes(size_t *sz) { return local_kptr_stash__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
local_kptr_stash__assert(struct local_kptr_stash *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->just_here_because_btf_bug) == 8, "unexpected size of 'just_here_because_btf_bug'");
	_Static_assert(sizeof(s->bss->just_here_because_btf_bug2) == 8, "unexpected size of 'just_here_because_btf_bug2'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LOCAL_KPTR_STASH_SKEL_H__ */
