/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_SEARCH_PRUNING_SKEL_H__
#define __VERIFIER_SEARCH_PRUNING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_search_pruning {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_8b;
		struct bpf_map *map_hash_48b;
	} maps;
	struct {
		struct bpf_program *state_equality_check_way_1;
		struct bpf_program *state_equality_check_way_2;
		struct bpf_program *varlen_map_value_access_pruning;
		struct bpf_program *be_verified_invalid_stack_access;
		struct bpf_program *allocated_stack;
		struct bpf_program *and_register_parent_chain_bug;
		struct bpf_program *liveness_pruning_and_write_screening;
		struct bpf_program *should_be_verified_nop_operation;
		struct bpf_program *tracking_for_u32_spill_fill;
		struct bpf_program *for_u32_spills_u64_fill;
	} progs;
	struct {
		struct bpf_link *state_equality_check_way_1;
		struct bpf_link *state_equality_check_way_2;
		struct bpf_link *varlen_map_value_access_pruning;
		struct bpf_link *be_verified_invalid_stack_access;
		struct bpf_link *allocated_stack;
		struct bpf_link *and_register_parent_chain_bug;
		struct bpf_link *liveness_pruning_and_write_screening;
		struct bpf_link *should_be_verified_nop_operation;
		struct bpf_link *tracking_for_u32_spill_fill;
		struct bpf_link *for_u32_spills_u64_fill;
	} links;

#ifdef __cplusplus
	static inline struct verifier_search_pruning *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_search_pruning *open_and_load();
	static inline int load(struct verifier_search_pruning *skel);
	static inline int attach(struct verifier_search_pruning *skel);
	static inline void detach(struct verifier_search_pruning *skel);
	static inline void destroy(struct verifier_search_pruning *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_search_pruning__destroy(struct verifier_search_pruning *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_search_pruning__create_skeleton(struct verifier_search_pruning *obj);

static inline struct verifier_search_pruning *
verifier_search_pruning__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_search_pruning *obj;
	int err;

	obj = (struct verifier_search_pruning *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_search_pruning__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_search_pruning__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_search_pruning *
verifier_search_pruning__open(void)
{
	return verifier_search_pruning__open_opts(NULL);
}

static inline int
verifier_search_pruning__load(struct verifier_search_pruning *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_search_pruning *
verifier_search_pruning__open_and_load(void)
{
	struct verifier_search_pruning *obj;
	int err;

	obj = verifier_search_pruning__open();
	if (!obj)
		return NULL;
	err = verifier_search_pruning__load(obj);
	if (err) {
		verifier_search_pruning__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_search_pruning__attach(struct verifier_search_pruning *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_search_pruning__detach(struct verifier_search_pruning *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_search_pruning__elf_bytes(size_t *sz);

static inline int
verifier_search_pruning__create_skeleton(struct verifier_search_pruning *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_search_pruning";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_hash_8b";
	s->maps[0].map = &obj->maps.map_hash_8b;

	s->maps[1].name = "map_hash_48b";
	s->maps[1].map = &obj->maps.map_hash_48b;

	/* programs */
	s->prog_cnt = 10;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "state_equality_check_way_1";
	s->progs[0].prog = &obj->progs.state_equality_check_way_1;
	s->progs[0].link = &obj->links.state_equality_check_way_1;

	s->progs[1].name = "state_equality_check_way_2";
	s->progs[1].prog = &obj->progs.state_equality_check_way_2;
	s->progs[1].link = &obj->links.state_equality_check_way_2;

	s->progs[2].name = "varlen_map_value_access_pruning";
	s->progs[2].prog = &obj->progs.varlen_map_value_access_pruning;
	s->progs[2].link = &obj->links.varlen_map_value_access_pruning;

	s->progs[3].name = "be_verified_invalid_stack_access";
	s->progs[3].prog = &obj->progs.be_verified_invalid_stack_access;
	s->progs[3].link = &obj->links.be_verified_invalid_stack_access;

	s->progs[4].name = "allocated_stack";
	s->progs[4].prog = &obj->progs.allocated_stack;
	s->progs[4].link = &obj->links.allocated_stack;

	s->progs[5].name = "and_register_parent_chain_bug";
	s->progs[5].prog = &obj->progs.and_register_parent_chain_bug;
	s->progs[5].link = &obj->links.and_register_parent_chain_bug;

	s->progs[6].name = "liveness_pruning_and_write_screening";
	s->progs[6].prog = &obj->progs.liveness_pruning_and_write_screening;
	s->progs[6].link = &obj->links.liveness_pruning_and_write_screening;

	s->progs[7].name = "should_be_verified_nop_operation";
	s->progs[7].prog = &obj->progs.should_be_verified_nop_operation;
	s->progs[7].link = &obj->links.should_be_verified_nop_operation;

	s->progs[8].name = "tracking_for_u32_spill_fill";
	s->progs[8].prog = &obj->progs.tracking_for_u32_spill_fill;
	s->progs[8].link = &obj->links.tracking_for_u32_spill_fill;

	s->progs[9].name = "for_u32_spills_u64_fill";
	s->progs[9].prog = &obj->progs.for_u32_spills_u64_fill;
	s->progs[9].link = &obj->links.for_u32_spills_u64_fill;

	s->data = verifier_search_pruning__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_search_pruning__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x80\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\x63\
\x6b\x65\x74\0\x6c\x77\x74\x5f\x69\x6e\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\
\x69\x65\x72\x5f\x73\x65\x61\x72\x63\x68\x5f\x70\x72\x75\x6e\x69\x6e\x67\x2e\
\x63\0\x6c\x30\x5f\x30\0\x6c\x31\x5f\x30\0\x6c\x32\x5f\x30\0\x6c\x30\x5f\x31\0\
\x6c\x31\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x31\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\
\x31\x5f\x33\0\x6c\x32\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x31\x5f\x34\0\x6c\x32\
\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\x31\x5f\x35\0\x6c\x32\x5f\x35\0\x6c\x30\x5f\
\x36\0\x6c\x31\x5f\x36\0\x6c\x32\x5f\x36\0\x6c\x30\x5f\x37\0\x6c\x31\x5f\x37\0\
\x6c\x32\x5f\x37\0\x6c\x30\x5f\x38\0\x6c\x31\x5f\x38\0\x6c\x32\x5f\x38\0\x6c\
\x33\x5f\x38\0\x6c\x34\x5f\x38\0\x6c\x30\x5f\x39\0\x73\x74\x61\x74\x65\x5f\x65\
\x71\x75\x61\x6c\x69\x74\x79\x5f\x63\x68\x65\x63\x6b\x5f\x77\x61\x79\x5f\x31\0\
\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x73\x74\x61\x74\x65\x5f\x65\x71\
\x75\x61\x6c\x69\x74\x79\x5f\x63\x68\x65\x63\x6b\x5f\x77\x61\x79\x5f\x32\0\x6c\
\x69\x76\x65\x6e\x65\x73\x73\x5f\x70\x72\x75\x6e\x69\x6e\x67\x5f\x61\x6e\x64\
\x5f\x77\x72\x69\x74\x65\x5f\x73\x63\x72\x65\x65\x6e\x69\x6e\x67\0\x76\x61\x72\
\x6c\x65\x6e\x5f\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\x5f\x61\x63\x63\x65\x73\
\x73\x5f\x70\x72\x75\x6e\x69\x6e\x67\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x34\
\x38\x62\0\x73\x68\x6f\x75\x6c\x64\x5f\x62\x65\x5f\x76\x65\x72\x69\x66\x69\x65\
\x64\x5f\x6e\x6f\x70\x5f\x6f\x70\x65\x72\x61\x74\x69\x6f\x6e\0\x62\x65\x5f\x76\
\x65\x72\x69\x66\x69\x65\x64\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x73\x74\x61\
\x63\x6b\x5f\x61\x63\x63\x65\x73\x73\0\x74\x72\x61\x63\x6b\x69\x6e\x67\x5f\x66\
\x6f\x72\x5f\x75\x33\x32\x5f\x73\x70\x69\x6c\x6c\x5f\x66\x69\x6c\x6c\0\x66\x6f\
\x72\x5f\x75\x33\x32\x5f\x73\x70\x69\x6c\x6c\x73\x5f\x75\x36\x34\x5f\x66\x69\
\x6c\x6c\0\x61\x6c\x6c\x6f\x63\x61\x74\x65\x64\x5f\x73\x74\x61\x63\x6b\0\x61\
\x6e\x64\x5f\x72\x65\x67\x69\x73\x74\x65\x72\x5f\x70\x61\x72\x65\x6e\x74\x5f\
\x63\x68\x61\x69\x6e\x5f\x62\x75\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x72\x65\x6c\x74\x72\x61\x63\x65\x70\
\x6f\x69\x6e\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\xff\xf1\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x52\0\0\0\x03\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x03\0\0\0\0\0\
\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x03\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\
\0\0\0\x61\0\0\0\x03\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x03\0\0\
\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x6b\0\0\0\x04\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x04\
\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x03\0\0\0\0\0\0\x01\x50\0\0\
\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x03\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\0\0\0\0\0\x7f\
\0\0\0\x03\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\x05\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\
\0\x89\0\0\0\x05\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x05\0\0\0\0\
\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\x93\0\0\0\x03\0\0\0\0\0\0\x01\xd8\0\0\0\0\0\0\
\0\0\0\0\0\x98\0\0\0\x03\0\0\0\0\0\0\x01\xc0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\0\
\x03\0\0\0\0\0\0\x01\xc8\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x05\0\0\0\0\0\0\0\xd0\
\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x05\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\
\xac\0\0\0\x05\0\0\0\0\0\0\x01\x58\0\0\0\0\0\0\0\0\0\0\0\xb1\0\0\0\x05\0\0\0\0\
\0\0\x01\xb8\0\0\0\0\0\0\0\0\0\0\0\xb6\0\0\0\x05\0\0\0\0\0\0\x01\xe8\0\0\0\0\0\
\0\0\0\0\0\0\xbb\0\0\0\x05\0\0\0\0\0\0\x01\xf8\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\
\x03\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x03\0\0\0\0\0\0\x02\
\x30\0\0\0\0\0\0\0\0\0\0\0\xca\0\0\0\x03\0\0\0\0\0\0\x02\x38\0\0\0\0\0\0\0\0\0\
\0\0\xcf\0\0\0\x03\0\0\0\0\0\0\x02\x40\0\0\0\0\0\0\0\0\0\0\0\xd4\0\0\0\x03\0\0\
\0\0\0\0\x02\x48\0\0\0\0\0\0\0\0\0\0\0\xd9\0\0\0\x03\0\0\0\0\0\0\x02\x80\0\0\0\
\0\0\0\0\0\0\0\0\xde\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\xf9\
\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\x05\x12\0\0\x03\0\0\0\0\
\0\0\0\x68\0\0\0\0\0\0\0\x60\0\0\x01\x20\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x30\0\0\x01\x45\x12\0\0\x03\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x90\0\0\x01\
\x65\x11\0\0\x06\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\x01\x72\x12\0\0\x05\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\x01\x93\x12\0\0\x03\0\0\0\0\0\0\x01\x58\0\
\0\0\0\0\0\0\x88\0\0\x01\xb4\x12\0\0\x05\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\xc0\0\
\0\x01\xd0\x12\0\0\x05\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\xa0\0\0\x01\xe8\x12\0\
\0\x03\0\0\0\0\0\0\x01\xe0\0\0\0\0\0\0\0\x70\0\0\x01\xf8\x12\0\0\x03\0\0\0\0\0\
\0\x02\x50\0\0\0\0\0\0\0\x58\0\0\x02\x16\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\
\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x01\x15\0\0\x02\0\0\0\0\x79\0\0\0\0\0\0\0\x05\0\0\x01\0\0\0\0\xbf\x0a\0\0\0\0\
\0\0\x05\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\
\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\0\0\x02\0\0\0\0\xbf\x0a\0\0\0\0\0\0\x05\0\
\0\x01\0\0\0\0\x79\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\
\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x09\0\0\0\0\x79\x10\0\0\0\0\
\0\0\xb4\x20\0\0\0\0\0\x0b\x6d\x21\0\x01\0\0\0\0\xb4\x10\0\0\0\0\0\0\x64\x10\0\
\0\0\0\0\x02\x0f\x01\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x04\x7b\
\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x01\x15\0\0\x08\0\0\0\0\x79\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\
\0\0\x15\x30\0\x02\0\0\xbe\xef\x7b\xa4\xff\xf0\0\0\0\0\x05\0\0\x01\0\0\0\0\x7b\
\xa4\xff\xe8\0\0\0\0\x85\0\0\0\0\0\0\x05\x79\x5a\xff\xf0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x07\xbf\x70\0\0\0\0\0\0\x15\0\0\x05\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x7b\xa6\xff\xf8\0\0\0\0\x79\x6a\xff\xf8\0\0\0\0\x73\
\xa7\xff\xf7\0\0\0\0\x71\x7a\xff\xf7\0\0\0\0\x55\0\0\0\0\0\0\0\x55\0\0\0\0\0\0\
\0\x55\0\0\0\0\0\0\0\x55\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x05\
\xbf\x60\0\0\0\0\0\0\x85\0\0\0\0\0\0\x05\x2d\x06\0\x02\0\0\0\0\xb7\0\0\0\xde\
\xad\xbe\xef\x7b\xa0\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\x2a\x73\xa1\xff\xf8\0\0\
\0\0\x79\x2a\xff\xf8\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\0\0\
\0\0\0\x35\x20\0\x01\0\0\0\0\xb7\0\0\0\0\0\0\0\x35\x20\0\x01\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\xb7\
\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\x01\x15\0\0\x0c\0\0\0\0\x79\x30\0\0\0\0\0\0\x15\x30\0\x02\0\0\xbe\
\xef\xb7\x40\0\0\0\0\0\0\x05\0\0\x01\0\0\0\0\xb7\x40\0\0\0\0\0\x01\x7b\xa4\xff\
\xf0\0\0\0\0\x85\0\0\0\0\0\0\x05\x79\x5a\xff\xf0\0\0\0\0\x15\x50\0\x03\0\0\0\0\
\xb7\x60\0\0\0\0\0\0\xb7\x10\0\0\0\0\xde\xad\x7b\x61\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\0\0\0\x07\xb4\x60\0\0\0\0\0\x20\x15\0\0\x01\
\0\0\0\0\xb4\x60\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x07\xb7\x30\0\0\0\0\0\0\xb7\x30\
\0\0\0\0\0\0\x15\0\0\x01\0\0\0\0\xb7\x30\0\0\0\0\0\0\x63\xa6\xff\xf8\0\0\0\0\
\x61\x8a\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\xbf\x2a\0\
\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\x01\x15\0\0\x02\0\0\0\0\x0f\x08\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x07\xbf\x60\0\0\0\0\0\0\
\xb4\x70\0\0\xff\xff\xff\xff\xb7\x30\0\0\0\0\0\x01\xb7\x30\0\0\0\0\0\x01\xb7\
\x30\0\0\0\0\0\x01\xb7\x30\0\0\0\0\0\x01\x85\0\0\0\0\0\0\x07\x15\0\0\x01\0\0\0\
\0\xb7\x30\0\0\0\0\0\x01\x34\x30\0\0\0\0\0\0\x63\xa6\xff\xfc\0\0\0\0\x63\xa7\
\xff\xf8\0\0\0\0\x79\x8a\xff\xf8\0\0\0\0\x55\x80\0\x01\xff\xff\xff\xff\xb7\x30\
\0\0\0\0\0\x01\x15\x80\0\x01\xff\xff\xff\xff\x34\x30\0\0\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\
\0\x22\0\0\0\x01\0\0\0\0\0\0\0\xe8\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\x01\x78\0\0\
\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\x01\x28\0\0\
\0\x22\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\x28\0\0\x05\x28\0\0\
\x08\x97\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\
\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\x19\x01\0\0\0\0\0\0\x08\
\x01\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\
\x28\0\0\0\x01\0\0\0\x40\0\0\0\x34\0\0\0\x05\0\0\0\x80\0\0\0\x38\0\0\0\x05\0\0\
\0\xc0\0\0\0\x3e\x0e\0\0\0\0\0\0\x07\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\
\0\x4a\x04\0\0\x02\0\0\0\x30\0\0\0\x53\0\0\0\x0b\0\0\0\0\0\0\0\x59\0\0\0\x0c\0\
\0\0\x20\0\0\0\x5d\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x0b\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x23\0\0\0\x01\0\
\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x40\0\0\0\x34\0\0\0\x05\0\0\0\x80\0\0\0\x38\0\
\0\0\x09\0\0\0\xc0\0\0\0\x6a\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\x0d\0\0\0\0\
\0\0\0\0\0\0\x77\x0c\0\0\x01\0\0\0\x0f\0\0\0\x92\x11\0\0\0\0\0\0\x10\xff\xff\
\xff\xff\0\0\0\xe4\x11\0\0\0\0\0\0\x10\xff\xff\xff\xff\0\0\x01\0\x11\0\0\0\0\0\
\0\x10\xff\xff\xff\xff\0\0\x01\x23\x11\0\0\0\0\0\0\x10\xff\xff\xff\xff\0\0\x01\
\x60\x11\0\0\0\0\0\0\x10\xff\xff\xff\xff\0\0\x01\x82\x0c\0\0\x01\0\0\0\x0f\0\0\
\x01\x9d\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\0\xe4\x11\0\0\0\0\0\0\x16\xff\
\xff\xff\xff\0\0\x01\0\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\x01\x23\x11\0\0\
\0\0\0\0\x16\xff\xff\xff\xff\0\0\x01\x60\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\
\0\x01\xef\x0c\0\0\x01\0\0\0\x0f\0\0\x02\x14\x11\0\0\0\0\0\0\x1c\xff\xff\xff\
\xff\0\0\x02\x52\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\x02\x6e\x11\0\0\0\0\0\
\0\x1c\xff\xff\xff\xff\0\0\x02\x92\x0c\0\0\x01\0\0\0\x0f\0\0\x02\xb2\x11\0\0\0\
\0\0\0\x20\xff\xff\xff\xff\0\0\x02\x52\x11\0\0\0\0\0\0\x20\xff\xff\xff\xff\0\0\
\x02\xeb\x11\0\0\0\0\0\0\x20\xff\xff\xff\xff\0\0\x01\0\x11\0\0\0\0\0\0\x20\xff\
\xff\xff\xff\0\0\x03\x1e\x11\0\0\0\0\0\0\x20\xff\xff\xff\xff\0\0\x03\x4b\x11\0\
\0\0\0\0\0\x20\xff\xff\xff\xff\0\0\x03\x77\x0c\0\0\x01\0\0\0\x0f\0\0\x03\x98\
\x11\0\0\0\0\0\0\x27\xff\xff\xff\xff\0\0\x02\x52\x11\0\0\0\0\0\0\x27\xff\xff\
\xff\xff\0\0\x03\xf1\x11\0\0\0\0\0\0\x27\xff\xff\xff\xff\0\0\x04\x28\x0c\0\0\
\x01\0\0\0\x0f\0\0\x04\x49\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\0\xe4\x11\0\
\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\x01\0\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\
\0\x04\xa9\x11\0\0\0\0\0\0\x2b\xff\xff\xff\xff\0\0\x04\xf1\x11\0\0\0\0\0\0\x2b\
\xff\xff\xff\xff\0\0\x05\x07\x0c\0\0\x01\0\0\0\x0f\0\0\x05\x23\x11\0\0\0\0\0\0\
\x31\xff\xff\xff\xff\0\0\x02\x52\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\0\0\x05\
\x62\x11\0\0\0\0\0\0\x31\xff\xff\xff\xff\0\0\x05\xae\x0c\0\0\x01\0\0\0\x0f\0\0\
\x05\xc6\x11\0\0\0\0\0\0\x35\xff\xff\xff\xff\0\0\x02\x52\x11\0\0\0\0\0\0\x35\
\xff\xff\xff\xff\0\0\x06\x0b\x11\0\0\0\0\0\0\x35\xff\xff\xff\xff\0\0\x06\x2f\
\x0c\0\0\x01\0\0\0\x0f\0\0\x06\x3f\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\0\
\xe4\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\x06\x68\x11\0\0\0\0\0\0\x39\xff\
\xff\xff\xff\0\0\x06\x93\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\x06\xb6\x11\0\
\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\x06\xd6\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\
\0\0\x04\xf1\x11\0\0\0\0\0\0\x39\xff\xff\xff\xff\0\0\x06\xef\x0c\0\0\x01\0\0\0\
\x0f\0\0\x07\x0d\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\0\xe4\x11\0\0\0\0\0\0\
\x41\xff\xff\xff\xff\0\0\x01\0\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x07\x53\
\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x04\xf1\x11\0\0\0\0\0\0\x41\xff\xff\
\xff\xff\0\0\x07\x9a\x11\0\0\0\0\0\0\x41\xff\xff\xff\xff\0\0\x07\xc8\x01\0\0\0\
\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x04\0\0\0\x04\
\0\0\x07\xcd\x0e\0\0\0\0\0\0\x49\0\0\0\x01\0\0\x08\x70\x0f\0\0\x02\0\0\0\x40\0\
\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\x0e\0\0\0\x20\0\0\0\x20\0\0\x08\x76\x0f\0\0\
\x01\0\0\0\x04\0\0\0\x4a\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\
\x38\x62\0\x74\x65\x73\x74\x5f\x76\x61\x6c\0\x69\x6e\x64\x65\x78\0\x66\x6f\x6f\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x6d\x61\x70\x5f\x68\x61\
\x73\x68\x5f\x34\x38\x62\0\x73\x74\x61\x74\x65\x5f\x65\x71\x75\x61\x6c\x69\x74\
\x79\x5f\x63\x68\x65\x63\x6b\x5f\x77\x61\x79\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x70\x6f\x69\x6e\x74\x65\x72\x2f\x73\x63\x61\x6c\x61\x72\x20\x63\x6f\x6e\x66\
\x75\x73\x69\x6f\x6e\x20\x69\x6e\x20\x73\x74\x61\x74\x65\x20\x65\x71\x75\x61\
\x6c\x69\x74\x79\x20\x63\x68\x65\x63\x6b\x20\x28\x77\x61\x79\x20\x31\x29\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\
\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x52\x30\x20\x6c\
\x65\x61\x6b\x73\x20\x61\x64\x64\x72\x20\x61\x73\x20\x72\x65\x74\x75\x72\x6e\
\x20\x76\x61\x6c\x75\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x72\x65\x74\x76\x61\x6c\x3d\x50\x4f\x49\x4e\x54\x45\x52\x5f\x56\x41\x4c\x55\
\x45\0\x73\x74\x61\x74\x65\x5f\x65\x71\x75\x61\x6c\x69\x74\x79\x5f\x63\x68\x65\
\x63\x6b\x5f\x77\x61\x79\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x6f\x69\x6e\x74\
\x65\x72\x2f\x73\x63\x61\x6c\x61\x72\x20\x63\x6f\x6e\x66\x75\x73\x69\x6f\x6e\
\x20\x69\x6e\x20\x73\x74\x61\x74\x65\x20\x65\x71\x75\x61\x6c\x69\x74\x79\x20\
\x63\x68\x65\x63\x6b\x20\x28\x77\x61\x79\x20\x32\x29\0\x6c\x69\x76\x65\x6e\x65\
\x73\x73\x5f\x70\x72\x75\x6e\x69\x6e\x67\x5f\x61\x6e\x64\x5f\x77\x72\x69\x74\
\x65\x5f\x73\x63\x72\x65\x65\x6e\x69\x6e\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6c\x69\
\x76\x65\x6e\x65\x73\x73\x20\x70\x72\x75\x6e\x69\x6e\x67\x20\x61\x6e\x64\x20\
\x77\x72\x69\x74\x65\x20\x73\x63\x72\x65\x65\x6e\x69\x6e\x67\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\
\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x30\x20\x21\x72\x65\x61\x64\x5f\x6f\
\x6b\0\x76\x61\x72\x6c\x65\x6e\x5f\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\x5f\x61\
\x63\x63\x65\x73\x73\x5f\x70\x72\x75\x6e\x69\x6e\x67\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x76\x61\x72\x6c\x65\x6e\x5f\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\x5f\x61\x63\
\x63\x65\x73\x73\x20\x70\x72\x75\x6e\x69\x6e\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x30\
\x20\x75\x6e\x62\x6f\x75\x6e\x64\x65\x64\x20\x6d\x65\x6d\x6f\x72\x79\x20\x61\
\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x52\x30\
\x20\x6c\x65\x61\x6b\x73\x20\x61\x64\x64\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\
\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\x4e\x54\0\x73\x68\x6f\
\x75\x6c\x64\x5f\x62\x65\x5f\x76\x65\x72\x69\x66\x69\x65\x64\x5f\x6e\x6f\x70\
\x5f\x6f\x70\x65\x72\x61\x74\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x65\x61\
\x72\x63\x68\x20\x70\x72\x75\x6e\x69\x6e\x67\x3a\x20\x61\x6c\x6c\x20\x62\x72\
\x61\x6e\x63\x68\x65\x73\x20\x73\x68\x6f\x75\x6c\x64\x20\x62\x65\x20\x76\x65\
\x72\x69\x66\x69\x65\x64\x20\x28\x6e\x6f\x70\x20\x6f\x70\x65\x72\x61\x74\x69\
\x6f\x6e\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x36\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\
\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x73\x63\x61\x6c\x61\x72\x27\0\
\x62\x65\x5f\x76\x65\x72\x69\x66\x69\x65\x64\x5f\x69\x6e\x76\x61\x6c\x69\x64\
\x5f\x73\x74\x61\x63\x6b\x5f\x61\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x73\x65\x61\x72\x63\x68\x20\x70\x72\x75\x6e\x69\x6e\x67\x3a\x20\x61\x6c\x6c\
\x20\x62\x72\x61\x6e\x63\x68\x65\x73\x20\x73\x68\x6f\x75\x6c\x64\x20\x62\x65\
\x20\x76\x65\x72\x69\x66\x69\x65\x64\x20\x28\x69\x6e\x76\x61\x6c\x69\x64\x20\
\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x29\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\
\x6e\x70\x72\x69\x76\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\x61\x64\x20\
\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\x6b\x20\x6f\x66\x66\x20\x2d\x31\x36\x2b\
\x30\x20\x73\x69\x7a\x65\x20\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x74\x72\x61\x63\x6b\x69\x6e\x67\x5f\
\x66\x6f\x72\x5f\x75\x33\x32\x5f\x73\x70\x69\x6c\x6c\x5f\x66\x69\x6c\x6c\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x70\x72\x65\x63\x69\x73\x69\x6f\x6e\x20\x74\x72\x61\x63\
\x6b\x69\x6e\x67\x20\x66\x6f\x72\x20\x75\x33\x32\x20\x73\x70\x69\x6c\x6c\x2f\
\x66\x69\x6c\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x30\x20\x6d\x69\x6e\x20\x76\x61\x6c\
\x75\x65\x20\x69\x73\x20\x6f\x75\x74\x73\x69\x64\x65\x20\x6f\x66\x20\x74\x68\
\x65\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6d\x65\x6d\x6f\x72\x79\x20\x72\x61\
\x6e\x67\x65\0\x66\x6f\x72\x5f\x75\x33\x32\x5f\x73\x70\x69\x6c\x6c\x73\x5f\x75\
\x36\x34\x5f\x66\x69\x6c\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x70\x72\x65\x63\x69\x73\
\x69\x6f\x6e\x20\x74\x72\x61\x63\x6b\x69\x6e\x67\x20\x66\x6f\x72\x20\x75\x33\
\x32\x20\x73\x70\x69\x6c\x6c\x73\x2c\x20\x75\x36\x34\x20\x66\x69\x6c\x6c\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x64\x69\x76\x20\x62\x79\x20\x7a\x65\x72\x6f\0\x61\x6c\x6c\x6f\
\x63\x61\x74\x65\x64\x5f\x73\x74\x61\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x61\x6c\
\x6c\x6f\x63\x61\x74\x65\x64\x5f\x73\x74\x61\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x70\
\x72\x6f\x63\x65\x73\x73\x65\x64\x20\x31\x35\x20\x69\x6e\x73\x6e\x73\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\
\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\
\x6e\x70\x72\x69\x76\x3d\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x31\0\x61\x6e\x64\x5f\x72\x65\x67\x69\
\x73\x74\x65\x72\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x68\x61\x69\x6e\x5f\x62\
\x75\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x77\x72\x69\x74\x65\x20\x74\x72\x61\x63\x6b\
\x69\x6e\x67\x20\x61\x6e\x64\x20\x72\x65\x67\x69\x73\x74\x65\x72\x20\x70\x61\
\x72\x65\x6e\x74\x20\x63\x68\x61\x69\x6e\x20\x62\x75\x67\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\
\x75\x6e\x70\x72\x69\x76\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\x61\x64\
\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\x6b\x20\x6f\x66\x66\x20\x2d\x38\x2b\
\x31\x20\x73\x69\x7a\x65\x20\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\
\x54\x45\x53\x54\x5f\x53\x54\x41\x54\x45\x5f\x46\x52\x45\x51\0\x63\x68\x61\x72\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\
\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x73\x65\x61\x72\x63\x68\x5f\x70\x72\x75\
\x6e\x69\x6e\x67\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\
\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\x6c\x77\x74\x5f\x69\x6e\0\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x6c\0\0\
\0\x6c\0\0\0\xbc\0\0\x01\x28\0\0\0\0\0\0\0\x08\0\0\x08\x7e\0\0\0\x06\0\0\0\0\0\
\0\0\x10\0\0\0\x68\0\0\0\x16\0\0\0\xc8\0\0\0\x20\0\0\x01\x58\0\0\0\x2b\0\0\x01\
\xe0\0\0\0\x39\0\0\x02\x50\0\0\0\x41\0\0\x08\x85\0\0\0\x01\0\0\0\0\0\0\0\x1c\0\
\0\x08\x8c\0\0\0\x03\0\0\0\0\0\0\0\x27\0\0\0\xa8\0\0\0\x31\0\0\x01\x68\0\0\0\
\x35\0\0\0\x10\0\0\x08\x7e\0\0\0\x06\0\0\0\0\0\0\x07\xd6\0\0\x08\x59\0\0\x8c\
\x02\0\0\0\x68\0\0\x07\xd6\0\0\x08\x59\0\0\xf0\x02\0\0\0\xc8\0\0\x07\xd6\0\0\
\x08\x59\0\x01\x98\x02\0\0\x01\x58\0\0\x07\xd6\0\0\x08\x59\0\x02\xa4\x02\0\0\
\x01\xe0\0\0\x07\xd6\0\0\x08\x59\0\x04\x58\x02\0\0\x02\x50\0\0\x07\xd6\0\0\x08\
\x59\0\x04\xf4\x02\0\0\x08\x85\0\0\0\x01\0\0\0\0\0\0\x07\xd6\0\0\x08\x59\0\x01\
\x4c\x02\0\0\x08\x8c\0\0\0\x03\0\0\0\0\0\0\x07\xd6\0\0\x08\x59\0\x02\x14\x02\0\
\0\0\xa8\0\0\x07\xd6\0\0\x08\x59\0\x03\x18\x02\0\0\x01\x68\0\0\x07\xd6\0\0\x08\
\x59\0\x03\xb4\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\
\x47\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x88\0\0\0\0\0\0\x04\x50\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xd8\0\0\0\0\0\0\x02\xa8\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x09\x80\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\xb0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\
\xb8\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xf8\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1f\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\x40\0\0\
\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x2a\0\0\0\x09\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x40\0\0\0\0\0\0\0\x20\0\0\0\x02\
\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x39\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x60\0\0\0\0\0\0\x0d\xd7\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x3e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1a\x38\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_search_pruning *verifier_search_pruning::open(const struct bpf_object_open_opts *opts) { return verifier_search_pruning__open_opts(opts); }
struct verifier_search_pruning *verifier_search_pruning::open_and_load() { return verifier_search_pruning__open_and_load(); }
int verifier_search_pruning::load(struct verifier_search_pruning *skel) { return verifier_search_pruning__load(skel); }
int verifier_search_pruning::attach(struct verifier_search_pruning *skel) { return verifier_search_pruning__attach(skel); }
void verifier_search_pruning::detach(struct verifier_search_pruning *skel) { verifier_search_pruning__detach(skel); }
void verifier_search_pruning::destroy(struct verifier_search_pruning *skel) { verifier_search_pruning__destroy(skel); }
const void *verifier_search_pruning::elf_bytes(size_t *sz) { return verifier_search_pruning__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_search_pruning__assert(struct verifier_search_pruning *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_SEARCH_PRUNING_SKEL_H__ */
