/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_GLOBAL_FUNC_CTX_ARGS_SKEL_H__
#define __TEST_GLOBAL_FUNC_CTX_ARGS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_global_func_ctx_args {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *kprobe_typedef_ctx;
		struct bpf_program *kprobe_resolved_ctx;
		struct bpf_program *kprobe_workaround_ctx;
		struct bpf_program *arg_tag_ctx_kprobe;
		struct bpf_program *raw_tp_ctx;
		struct bpf_program *raw_tp_writable_ctx;
		struct bpf_program *arg_tag_ctx_raw_tp;
		struct bpf_program *perf_event_ctx;
		struct bpf_program *arg_tag_ctx_perf;
	} progs;
	struct {
		struct bpf_link *kprobe_typedef_ctx;
		struct bpf_link *kprobe_resolved_ctx;
		struct bpf_link *kprobe_workaround_ctx;
		struct bpf_link *arg_tag_ctx_kprobe;
		struct bpf_link *raw_tp_ctx;
		struct bpf_link *raw_tp_writable_ctx;
		struct bpf_link *arg_tag_ctx_raw_tp;
		struct bpf_link *perf_event_ctx;
		struct bpf_link *arg_tag_ctx_perf;
	} links;

#ifdef __cplusplus
	static inline struct test_global_func_ctx_args *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_global_func_ctx_args *open_and_load();
	static inline int load(struct test_global_func_ctx_args *skel);
	static inline int attach(struct test_global_func_ctx_args *skel);
	static inline void detach(struct test_global_func_ctx_args *skel);
	static inline void destroy(struct test_global_func_ctx_args *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_global_func_ctx_args__destroy(struct test_global_func_ctx_args *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_global_func_ctx_args__create_skeleton(struct test_global_func_ctx_args *obj);

static inline struct test_global_func_ctx_args *
test_global_func_ctx_args__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_global_func_ctx_args *obj;
	int err;

	obj = (struct test_global_func_ctx_args *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_global_func_ctx_args__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_global_func_ctx_args__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_global_func_ctx_args *
test_global_func_ctx_args__open(void)
{
	return test_global_func_ctx_args__open_opts(NULL);
}

static inline int
test_global_func_ctx_args__load(struct test_global_func_ctx_args *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_global_func_ctx_args *
test_global_func_ctx_args__open_and_load(void)
{
	struct test_global_func_ctx_args *obj;
	int err;

	obj = test_global_func_ctx_args__open();
	if (!obj)
		return NULL;
	err = test_global_func_ctx_args__load(obj);
	if (err) {
		test_global_func_ctx_args__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_global_func_ctx_args__attach(struct test_global_func_ctx_args *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_global_func_ctx_args__detach(struct test_global_func_ctx_args *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_global_func_ctx_args__elf_bytes(size_t *sz);

static inline int
test_global_func_ctx_args__create_skeleton(struct test_global_func_ctx_args *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_global_func_ctx_args";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_glo.bss";
	s->maps[0].map = &obj->maps.bss;

	/* programs */
	s->prog_cnt = 9;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kprobe_typedef_ctx";
	s->progs[0].prog = &obj->progs.kprobe_typedef_ctx;
	s->progs[0].link = &obj->links.kprobe_typedef_ctx;

	s->progs[1].name = "kprobe_resolved_ctx";
	s->progs[1].prog = &obj->progs.kprobe_resolved_ctx;
	s->progs[1].link = &obj->links.kprobe_resolved_ctx;

	s->progs[2].name = "kprobe_workaround_ctx";
	s->progs[2].prog = &obj->progs.kprobe_workaround_ctx;
	s->progs[2].link = &obj->links.kprobe_workaround_ctx;

	s->progs[3].name = "arg_tag_ctx_kprobe";
	s->progs[3].prog = &obj->progs.arg_tag_ctx_kprobe;
	s->progs[3].link = &obj->links.arg_tag_ctx_kprobe;

	s->progs[4].name = "raw_tp_ctx";
	s->progs[4].prog = &obj->progs.raw_tp_ctx;
	s->progs[4].link = &obj->links.raw_tp_ctx;

	s->progs[5].name = "raw_tp_writable_ctx";
	s->progs[5].prog = &obj->progs.raw_tp_writable_ctx;
	s->progs[5].link = &obj->links.raw_tp_writable_ctx;

	s->progs[6].name = "arg_tag_ctx_raw_tp";
	s->progs[6].prog = &obj->progs.arg_tag_ctx_raw_tp;
	s->progs[6].link = &obj->links.arg_tag_ctx_raw_tp;

	s->progs[7].name = "perf_event_ctx";
	s->progs[7].prog = &obj->progs.perf_event_ctx;
	s->progs[7].link = &obj->links.perf_event_ctx;

	s->progs[8].name = "arg_tag_ctx_perf";
	s->progs[8].prog = &obj->progs.arg_tag_ctx_perf;
	s->progs[8].link = &obj->links.arg_tag_ctx_perf;

	s->data = test_global_func_ctx_args__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_global_func_ctx_args__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\x88\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x3f\x6b\x70\x72\x6f\x62\x65\0\x3f\x72\x61\x77\x5f\x74\x70\0\x3f\x70\
\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\
\x73\x73\0\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x5f\
\x63\x74\x78\x5f\x61\x72\x67\x73\x2e\x63\0\x73\x74\x61\x63\x6b\0\x4c\x42\x42\
\x31\x33\x5f\x32\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x79\x70\x65\x64\x65\x66\x5f\
\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\
\x79\x70\x65\x64\x65\x66\x5f\x63\x74\x78\0\x6b\x70\x72\x6f\x62\x65\x5f\x73\x74\
\x72\x75\x63\x74\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x72\x65\x73\x6f\x6c\x76\x65\x64\x5f\x63\x74\x78\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x77\x6f\x72\x6b\x61\x72\x6f\x75\x6e\x64\x5f\x63\x74\x78\x5f\
\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\x77\x6f\x72\x6b\x61\
\x72\x6f\x75\x6e\x64\x5f\x63\x74\x78\0\x72\x61\x77\x5f\x74\x70\x5f\x63\x74\x78\
\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x72\x61\x77\x5f\x74\x70\x5f\x63\x74\x78\0\
\x72\x61\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x5f\x63\x74\x78\
\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x72\x61\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\
\x61\x62\x6c\x65\x5f\x63\x74\x78\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\
\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x70\x65\x72\x66\x5f\x65\x76\x65\
\x6e\x74\x5f\x63\x74\x78\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\x74\x78\x5f\x74\
\x61\x67\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x74\x78\
\x5f\x74\x61\x67\x73\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x72\x61\
\x77\x5f\x74\x70\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x70\x65\x72\
\x66\0\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x6b\x70\x72\x6f\x62\x65\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\
\x72\x65\x6c\x3f\x6b\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x3f\x72\x61\x77\x5f\
\x74\x70\0\x2e\x72\x65\x6c\x3f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\x01\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\x03\0\0\0\0\0\0\x01\xf8\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\x22\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x85\x12\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\0\0\0\x98\x22\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x30\0\
\0\0\xb2\x12\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x10\0\0\0\xc6\x22\0\0\x03\
\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x30\0\0\0\xe4\x12\0\0\x04\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\x10\0\0\0\xfa\x22\0\0\x03\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x30\0\0\
\x01\x0d\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\x01\x18\x22\0\0\x03\
\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x30\0\0\x01\x34\x12\0\0\x05\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x10\0\0\x01\x48\x22\0\0\x03\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x30\
\0\0\x01\x5f\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\x01\x6e\x22\0\0\
\x03\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\0\x30\0\0\x01\x7e\x22\0\0\x03\0\0\0\0\0\0\
\x01\x50\0\0\0\0\0\0\0\xb0\0\0\x01\x95\x12\0\0\x05\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x68\0\0\x01\xa8\x12\0\0\x06\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x68\0\0\x01\
\xb9\x12\0\0\x04\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x68\0\0\x01\xcc\x11\0\0\x07\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\
\0\0\0\x08\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x43\x95\0\0\0\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x08\0\xb7\x40\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\x43\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\
\0\0\x08\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x43\x95\0\0\0\0\0\0\0\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x08\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\
\0\0\0\x43\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\
\0\x08\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x43\x95\0\0\0\0\0\0\0\x18\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x08\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x43\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\
\x08\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x43\x95\0\0\0\0\0\0\0\xbf\x63\0\0\0\
\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x70\0\x11\0\0\0\0\x18\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x08\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x43\xbf\x80\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\x0f\x81\0\0\0\0\0\0\xbf\x16\0\
\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\x08\0\xb7\x40\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\x43\xbf\x10\0\0\0\0\0\0\xbf\x08\0\0\0\0\0\0\x0f\x01\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\
\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\
\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x7b\x63\xa1\xff\xfc\0\0\0\
\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x70\0\0\0\0\0\0\xbf\x2a\
\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\xbf\x16\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\
\0\x85\x01\0\0\xff\xff\xff\xff\x0f\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x7b\x63\xa1\xff\xfc\0\0\0\0\xbf\x16\
\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x70\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\
\0\x07\x20\0\0\xff\xff\xff\xfc\xbf\x16\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\0\x85\x01\
\0\0\xff\xff\xff\xff\x0f\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\
\xff\xff\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x7b\x63\xa1\
\xff\xfc\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x70\0\0\0\
\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\xbf\x16\0\0\0\0\0\0\xbf\
\x36\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x0f\x07\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\
\x30\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\
\x90\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\
\xf0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\x01\x20\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\
\x01\x70\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\x01\xb8\0\0\0\x08\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x10\0\0\0\x0b\0\0\0\x0a\0\0\0\0\0\0\0\
\x20\0\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\0\x50\0\0\0\x15\0\0\0\x0a\0\0\0\0\0\0\0\
\x80\0\0\0\x16\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x0a\0\0\0\0\0\0\0\x10\
\0\0\0\x11\0\0\0\x0a\0\0\0\0\0\0\0\x40\0\0\0\x15\0\0\0\x0a\0\0\0\0\0\0\0\x70\0\
\0\0\x16\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\x0a\0\0\0\0\0\0\0\x30\0\0\0\
\x15\0\0\0\x0a\0\0\0\0\0\0\0\x60\0\0\0\x16\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\
\0\0\0\0\0\x04\xd0\0\0\x04\xd0\0\0\x06\x6d\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\
\x01\x08\0\0\0\0\0\0\x03\0\0\0\x14\x08\0\0\0\0\0\0\x04\0\0\0\0\x04\0\0\x03\0\0\
\0\x98\0\0\0\x21\0\0\0\x06\0\0\0\0\0\0\0\x26\0\0\0\x08\0\0\0\x40\0\0\0\x2a\0\0\
\0\x0a\0\0\0\xc0\0\0\0\x2f\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x05\0\0\0\x07\0\0\0\x01\0\0\0\x3d\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\x51\x08\0\0\0\0\0\0\x09\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\0\x57\0\0\0\x05\0\
\0\0\0\0\0\0\x5c\0\0\0\x05\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\
\x07\0\0\0\x10\0\0\0\0\x0d\0\0\x01\0\0\0\x0c\0\0\0\x61\0\0\0\x01\0\0\0\x65\x01\
\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x69\x0c\0\0\x01\0\0\0\x0b\0\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x0c\0\0\0\x61\0\0\0\x0e\0\0\0\x84\x0c\0\0\
\x01\0\0\0\x0f\0\0\0\x97\x11\0\0\0\0\0\0\x10\xff\xff\xff\xff\0\0\0\0\x02\0\0\0\
\0\0\0\x13\0\0\0\0\x0a\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\x01\0\0\0\x0c\0\0\0\x61\
\0\0\0\x12\0\0\0\xb3\x0c\0\0\x01\0\0\0\x14\0\0\0\xcd\x0c\0\0\x01\0\0\0\x0f\0\0\
\0\x97\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\0\0\x02\0\0\0\0\0\0\x19\0\0\0\
\x01\x04\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x0c\0\0\0\x61\0\0\0\x18\0\0\0\
\xe1\x0c\0\0\x01\0\0\0\x1a\0\0\0\xff\x0c\0\0\x01\0\0\0\x0f\0\0\0\x97\x11\0\0\0\
\0\0\0\x1c\xff\xff\xff\xff\0\0\0\0\x02\0\0\0\0\0\0\x1f\0\0\x01\x15\x04\0\0\x01\
\0\0\0\0\0\0\0\x21\0\0\0\x22\0\0\0\0\0\0\x01\x2d\x08\0\0\0\0\0\0\x21\0\0\x01\
\x33\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\x07\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x0c\0\0\0\x61\0\0\0\x1e\0\0\x01\x46\x0c\
\0\0\x01\0\0\0\x23\0\0\x01\x59\x0c\0\0\x01\0\0\0\x0f\0\0\0\x97\x11\0\0\0\0\0\0\
\x25\xff\xff\xff\xff\0\0\x01\x64\x0c\0\0\x01\0\0\0\x23\0\0\x01\x80\x0c\0\0\x01\
\0\0\0\x0f\0\0\0\x97\x11\0\0\0\0\0\0\x28\xff\xff\xff\xff\0\0\0\0\x02\0\0\0\0\0\
\0\x2b\0\0\x01\x94\x04\0\0\x03\0\0\0\xa8\0\0\x01\xa8\0\0\0\x02\0\0\0\0\0\0\x01\
\xad\0\0\0\x20\0\0\x04\xc0\0\0\0\x5c\0\0\0\x20\0\0\x05\0\0\0\0\0\x0d\0\0\x01\0\
\0\0\x0c\0\0\0\x61\0\0\0\x2a\0\0\x01\xbb\x0c\0\0\x01\0\0\0\x2c\0\0\x01\xd2\x0c\
\0\0\x01\0\0\0\x0f\0\0\0\x97\x11\0\0\0\0\0\0\x2e\xff\xff\xff\xff\0\0\x01\xe1\
\x0c\0\0\x01\0\0\0\x0f\0\0\x01\xf1\x11\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\x02\0\0\
\0\0\0\0\x33\0\0\x01\xf9\x04\0\0\x01\0\0\0\x04\0\0\x02\x03\0\0\0\x0c\0\0\0\0\0\
\0\0\0\x0d\0\0\x03\0\0\0\x0c\0\0\x02\x05\0\0\0\x0e\0\0\x02\x0a\0\0\0\x32\0\0\
\x02\x0e\0\0\0\x0e\0\0\x02\x13\x0c\0\0\x01\0\0\0\x34\0\0\x01\xf1\x11\0\0\0\0\0\
\0\x35\0\0\0\0\0\0\x01\xf1\x11\0\0\0\0\0\0\x35\0\0\0\x02\0\0\x02\x2a\x0c\0\0\
\x01\0\0\0\x0f\0\0\0\x97\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x02\x3d\x11\0\
\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x02\x56\x0c\0\0\x01\0\0\0\x0f\0\0\0\x97\x11\
\0\0\0\0\0\0\x3b\xff\xff\xff\xff\0\0\x02\x3d\x11\0\0\0\0\0\0\x3b\xff\xff\xff\
\xff\0\0\x02\x67\x0c\0\0\x01\0\0\0\x0f\0\0\0\x97\x11\0\0\0\0\0\0\x3e\xff\xff\
\xff\xff\0\0\x02\x3d\x11\0\0\0\0\0\0\x3e\xff\xff\xff\xff\0\0\x02\x7a\x01\0\0\0\
\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x07\0\0\0\x04\
\0\0\x02\x7f\x0e\0\0\0\0\0\0\x42\0\0\0\x01\0\0\x02\x88\x01\0\0\0\0\0\0\x08\x01\
\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\x07\0\0\x01\0\0\0\x02\x8d\
\x0e\0\0\0\0\0\0\x45\0\0\0\0\0\0\x06\x3e\x0f\0\0\x01\0\0\0\x04\0\0\0\x43\0\0\0\
\0\0\0\0\x04\0\0\x06\x46\x0f\0\0\x01\0\0\x08\0\0\0\0\x46\0\0\0\0\0\0\x08\0\0\
\x62\x70\x66\x5f\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\x5f\x74\0\x75\
\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x61\x72\x67\x73\0\x70\x73\x77\0\
\x67\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x70\
\x73\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x63\x74\x78\0\x69\x6e\
\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x79\x70\x65\x64\x65\x66\x5f\x63\x74\x78\
\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x79\x70\x65\
\x64\x65\x66\x5f\x63\x74\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x6b\x70\x72\x6f\
\x62\x65\x5f\x73\x74\x72\x75\x63\x74\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\
\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\x6f\x6c\x76\x65\x64\x5f\x63\
\x74\x78\0\x6b\x70\x72\x6f\x62\x65\x5f\x77\x6f\x72\x6b\x61\x72\x6f\x75\x6e\x64\
\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6b\x70\x72\x6f\x62\x65\x5f\
\x77\x6f\x72\x6b\x61\x72\x6f\x75\x6e\x64\x5f\x63\x74\x78\0\x62\x70\x66\x5f\x72\
\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x61\x72\x67\x73\0\x5f\
\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x72\x61\x77\x5f\x74\x70\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\
\x6f\x67\0\x72\x61\x77\x5f\x74\x70\x5f\x63\x74\x78\0\x72\x61\x77\x5f\x74\x70\
\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\
\x6f\x67\0\x72\x61\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x5f\x63\
\x74\x78\0\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x64\x61\
\x74\x61\0\x72\x65\x67\x73\0\x73\x61\x6d\x70\x6c\x65\x5f\x70\x65\x72\x69\x6f\
\x64\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x63\x74\x78\x5f\x73\x75\x62\
\x70\x72\x6f\x67\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x63\x74\x78\0\
\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\x74\x78\x5f\x74\x61\x67\0\x61\x72\x67\x3a\
\x63\x74\x78\0\x6d\x79\x5f\x73\x74\x72\x75\x63\x74\0\x78\0\x63\x74\x78\x31\0\
\x6d\x65\x6d\0\x63\x74\x78\x32\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x6d\x75\x6c\
\x74\x69\x5f\x63\x74\x78\x5f\x74\x61\x67\x73\0\x61\x72\x67\x5f\x74\x61\x67\x5f\
\x63\x74\x78\x5f\x72\x61\x77\x5f\x74\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x61\x72\x67\x5f\
\x74\x61\x67\x5f\x63\x74\x78\x5f\x70\x65\x72\x66\0\x61\x72\x67\x5f\x74\x61\x67\
\x5f\x63\x74\x78\x5f\x6b\x70\x72\x6f\x62\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6c\x6f\x6e\x67\0\x73\x74\x61\x63\x6b\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x65\x6c\
\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\
\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\
\x75\x6e\x63\x5f\x63\x74\x78\x5f\x61\x72\x67\x73\x2e\x63\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\
\x78\x2c\x20\x26\x73\x74\x61\x63\x6b\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\
\x74\x61\x63\x6b\x29\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x28\x76\x6f\x69\x64\x20\
\x2a\x29\x63\x74\x78\x2c\x20\x26\x73\x74\x61\x63\x6b\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x73\x74\x61\x63\x6b\x29\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\
\x78\x2c\x20\x73\x74\x61\x63\x6b\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\
\x61\x63\x6b\x29\x2c\x20\x30\x29\x3b\0\x5f\x5f\x77\x65\x61\x6b\x20\x69\x6e\x74\
\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x74\x78\x5f\
\x74\x61\x67\x73\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x31\x20\x5f\x5f\x61\
\x72\x67\x5f\x63\x74\x78\x2c\0\x09\x69\x66\x20\x28\x21\x6d\x65\x6d\x29\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\
\x6b\x28\x63\x74\x78\x31\x2c\x20\x73\x74\x61\x63\x6b\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x73\x74\x61\x63\x6b\x29\x2c\x20\x30\x29\x20\x2b\0\x09\x20\x20\x20\
\x20\x20\x20\x20\x6d\x65\x6d\x2d\x3e\x78\x20\x2b\0\x09\x20\x20\x20\x20\x20\x20\
\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\x78\x32\
\x2c\x20\x73\x74\x61\x63\x6b\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x61\
\x63\x6b\x29\x2c\x20\x30\x29\x3b\0\x7d\0\x09\x72\x65\x74\x75\x72\x6e\x20\x6b\
\x70\x72\x6f\x62\x65\x5f\x74\x79\x70\x65\x64\x65\x66\x5f\x63\x74\x78\x5f\x73\
\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x6b\x70\x72\x6f\x62\x65\x5f\x73\x74\x72\x75\x63\x74\x5f\x63\x74\x78\x5f\
\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x6b\x70\x72\x6f\x62\x65\x5f\x77\x6f\x72\x6b\x61\x72\x6f\x75\x6e\x64\
\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x69\
\x6e\x74\x20\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x6b\x70\x72\x6f\
\x62\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x73\x74\x72\x75\x63\
\x74\x20\x6d\x79\x5f\x73\x74\x72\x75\x63\x74\x20\x78\x20\x3d\x20\x7b\x20\x2e\
\x78\x20\x3d\x20\x31\x32\x33\x20\x7d\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\
\x75\x62\x70\x72\x6f\x67\x5f\x63\x74\x78\x5f\x74\x61\x67\x28\x63\x74\x78\x29\
\x20\x2b\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x74\
\x78\x5f\x74\x61\x67\x73\x28\x63\x74\x78\x2c\x20\x26\x78\x2c\x20\x63\x74\x78\
\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x61\x77\x5f\x74\x70\x5f\x63\x74\
\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x72\x61\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\
\x5f\x63\x74\x78\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x69\
\x6e\x74\x20\x61\x72\x67\x5f\x74\x61\x67\x5f\x63\x74\x78\x5f\x72\x61\x77\x5f\
\x74\x70\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x63\x74\x78\x5f\x73\x75\
\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x69\x6e\x74\x20\x61\x72\x67\x5f\
\x74\x61\x67\x5f\x63\x74\x78\x5f\x70\x65\x72\x66\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x74\x65\
\x78\x74\0\x3f\x6b\x70\x72\x6f\x62\x65\0\x3f\x72\x61\x77\x5f\x74\x70\0\x3f\x70\
\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\
\0\0\xac\0\0\0\xac\0\0\x03\x94\0\0\x04\x40\0\0\0\0\0\0\0\x08\0\0\x06\x4b\0\0\0\
\x08\0\0\0\0\0\0\0\x0d\0\0\0\x30\0\0\0\x15\0\0\0\x60\0\0\0\x1b\0\0\0\x90\0\0\0\
\x24\0\0\0\xc0\0\0\0\x27\0\0\0\xf0\0\0\0\x2d\0\0\x01\x20\0\0\0\x30\0\0\x01\x50\
\0\0\0\x35\0\0\x06\x51\0\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\x10\0\0\0\x16\0\0\0\
\x20\0\0\0\x1c\0\0\0\x30\0\0\0\x3e\0\0\x06\x59\0\0\0\x03\0\0\0\0\0\0\0\x25\0\0\
\0\x10\0\0\0\x28\0\0\0\x20\0\0\0\x38\0\0\x06\x61\0\0\0\x02\0\0\0\0\0\0\0\x2e\0\
\0\0\x10\0\0\0\x3b\0\0\0\x10\0\0\x06\x4b\0\0\0\x16\0\0\0\0\0\0\x02\x93\0\0\x03\
\x18\0\0\x4c\x09\0\0\0\x28\0\0\x02\x93\0\0\x03\x18\0\0\x4c\x02\0\0\0\x30\0\0\
\x02\x93\0\0\x03\x4e\0\0\x84\x09\0\0\0\x58\0\0\x02\x93\0\0\x03\x4e\0\0\x84\x02\
\0\0\0\x60\0\0\x02\x93\0\0\x03\x18\0\0\xc0\x09\0\0\0\x88\0\0\x02\x93\0\0\x03\
\x18\0\0\xc0\x02\0\0\0\x90\0\0\x02\x93\0\0\x03\x18\0\x01\0\x09\0\0\0\xb8\0\0\
\x02\x93\0\0\x03\x18\0\x01\0\x02\0\0\0\xc0\0\0\x02\x93\0\0\x03\x18\0\x01\x40\
\x09\0\0\0\xe8\0\0\x02\x93\0\0\x03\x18\0\x01\x40\x02\0\0\0\xf0\0\0\x02\x93\0\0\
\x03\x18\0\x01\x80\x09\0\0\x01\x18\0\0\x02\x93\0\0\x03\x18\0\x01\x80\x02\0\0\
\x01\x20\0\0\x02\x93\0\0\x03\x8c\0\x01\xbc\x09\0\0\x01\x48\0\0\x02\x93\0\0\x03\
\x8c\0\x01\xbc\x02\0\0\x01\x50\0\0\x02\x93\0\0\x03\xc1\0\x01\xd0\0\0\0\x01\x68\
\0\0\x02\x93\0\0\x03\xf9\0\x01\xe0\x06\0\0\x01\x70\0\0\x02\x93\0\0\x04\x04\0\
\x01\xec\x09\0\0\x01\xa0\0\0\x02\x93\0\0\x04\x3b\0\x01\xf0\x0e\0\0\x01\xa8\0\0\
\x02\x93\0\0\x04\x04\0\x01\xec\x36\0\0\x01\xb0\0\0\x02\x93\0\0\x04\x4c\0\x01\
\xf4\x09\0\0\x01\xf0\0\0\x02\x93\0\0\x04\x3b\0\x01\xf0\x10\0\0\x01\xf8\0\0\x02\
\x93\0\0\x04\x82\0\x01\xf8\x01\0\0\x06\x51\0\0\0\x0d\0\0\0\0\0\0\x02\x93\0\0\
\x04\x84\0\0\x68\x09\0\0\0\x08\0\0\x02\x93\0\0\x04\x84\0\0\x68\x02\0\0\0\x10\0\
\0\x02\x93\0\0\x04\xad\0\0\xa0\x09\0\0\0\x18\0\0\x02\x93\0\0\x04\xad\0\0\xa0\
\x02\0\0\0\x20\0\0\x02\x93\0\0\x04\xd5\0\0\xdc\x09\0\0\0\x28\0\0\x02\x93\0\0\
\x04\xd5\0\0\xdc\x02\0\0\0\x30\0\0\x02\x93\0\0\x05\x01\0\x02\x50\0\0\0\0\x40\0\
\0\x02\x93\0\0\x05\x23\0\x02\x58\x13\0\0\0\x48\0\0\x02\x93\0\0\x05\x47\0\x02\
\x60\x09\0\0\0\x68\0\0\x02\x93\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\x02\x93\0\0\x05\
\x47\0\x02\x60\x20\0\0\0\x88\0\0\x02\x93\0\0\x05\x47\0\x02\x60\x1e\0\0\0\x90\0\
\0\x02\x93\0\0\x05\x47\0\x02\x60\x02\0\0\x06\x59\0\0\0\x0b\0\0\0\0\0\0\x02\x93\
\0\0\x05\x8c\0\x01\x1c\x09\0\0\0\x08\0\0\x02\x93\0\0\x05\x8c\0\x01\x1c\x02\0\0\
\0\x10\0\0\x02\x93\0\0\x05\xad\0\x01\x5c\x09\0\0\0\x18\0\0\x02\x93\0\0\x05\xad\
\0\x01\x5c\x02\0\0\0\x20\0\0\x02\x93\0\0\x05\xd7\0\x02\x08\0\0\0\0\x30\0\0\x02\
\x93\0\0\x05\x23\0\x02\x10\x13\0\0\0\x38\0\0\x02\x93\0\0\x05\x47\0\x02\x18\x09\
\0\0\0\x58\0\0\x02\x93\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\x02\x93\0\0\x05\x47\0\x02\
\x18\x20\0\0\0\x78\0\0\x02\x93\0\0\x05\x47\0\x02\x18\x1e\0\0\0\x80\0\0\x02\x93\
\0\0\x05\x47\0\x02\x18\x02\0\0\x06\x61\0\0\0\x09\0\0\0\0\0\0\x02\x93\0\0\x05\
\xf9\0\x01\x9c\x09\0\0\0\x08\0\0\x02\x93\0\0\x05\xf9\0\x01\x9c\x02\0\0\0\x10\0\
\0\x02\x93\0\0\x06\x1e\0\x02\x2c\0\0\0\0\x20\0\0\x02\x93\0\0\x05\x23\0\x02\x34\
\x13\0\0\0\x28\0\0\x02\x93\0\0\x05\x47\0\x02\x3c\x09\0\0\0\x48\0\0\x02\x93\0\0\
\0\0\0\0\0\0\0\0\0\x50\0\0\x02\x93\0\0\x05\x47\0\x02\x3c\x20\0\0\0\x68\0\0\x02\
\x93\0\0\x05\x47\0\x02\x3c\x1e\0\0\0\x70\0\0\x02\x93\0\0\x05\x47\0\x02\x3c\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x15\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x58\0\0\0\0\0\0\x02\x88\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\xe0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\xe0\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x78\0\0\0\
\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\x78\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x78\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\x80\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\x01\xd5\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\x80\0\0\0\0\0\0\0\x90\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\x01\xdf\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\x10\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\x01\xeb\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\x60\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x01\xf7\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\xa0\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x02\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd0\0\0\
\0\0\0\0\x0b\x55\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x0c\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\x28\0\0\0\0\0\0\x04\
\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_global_func_ctx_args *test_global_func_ctx_args::open(const struct bpf_object_open_opts *opts) { return test_global_func_ctx_args__open_opts(opts); }
struct test_global_func_ctx_args *test_global_func_ctx_args::open_and_load() { return test_global_func_ctx_args__open_and_load(); }
int test_global_func_ctx_args::load(struct test_global_func_ctx_args *skel) { return test_global_func_ctx_args__load(skel); }
int test_global_func_ctx_args::attach(struct test_global_func_ctx_args *skel) { return test_global_func_ctx_args__attach(skel); }
void test_global_func_ctx_args::detach(struct test_global_func_ctx_args *skel) { test_global_func_ctx_args__detach(skel); }
void test_global_func_ctx_args::destroy(struct test_global_func_ctx_args *skel) { test_global_func_ctx_args__destroy(skel); }
const void *test_global_func_ctx_args::elf_bytes(size_t *sz) { return test_global_func_ctx_args__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_global_func_ctx_args__assert(struct test_global_func_ctx_args *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_GLOBAL_FUNC_CTX_ARGS_SKEL_H__ */
